Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ introduction/welcome/changelog.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -42,4 +42,14 @@
     </listitem>
     -->
+    <listitem>
+      <para>August 22nd, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to pavucontrol-5.0. Fixes
+          <ulink url="&blfs-ticket-root;15403">#15403</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>August 21st, 2021</para>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ kde/extra-cmake-modules.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/pavucontrol.xml
===================================================================
--- multimedia/audioutils/pavucontrol.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/audioutils/pavucontrol.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -7,8 +7,8 @@
   <!ENTITY pavucontrol-download-http "https://freedesktop.org/software/pulseaudio/pavucontrol/pavucontrol-&pavucontrol-version;.tar.xz">
   <!ENTITY pavucontrol-download-ftp  " ">
-  <!ENTITY pavucontrol-md5sum        "9dcc2c76292e7e5e075d51b8dcb20202">
-  <!ENTITY pavucontrol-size          "164 KB">
-  <!ENTITY pavucontrol-buildsize     "18 MB">
-  <!ENTITY pavucontrol-time          "less than 0.1 SBU">
+  <!ENTITY pavucontrol-md5sum        "a4a5dc51dcf4d912443faf3fe8d32b55">
+  <!ENTITY pavucontrol-size          "192 KB">
+  <!ENTITY pavucontrol-buildsize     "14 MB">
+  <!ENTITY pavucontrol-time          "0.3 SBU">
 ]>
 
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/pnmixer.xml
===================================================================
--- multimedia/audioutils/pnmixer.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/audioutils/pnmixer.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/vorbistools.xml
===================================================================
--- multimedia/audioutils/vorbistools.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/audioutils/vorbistools.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/cdrtools.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/cdwriteutils/cdrtools.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/dvd+rw-tools.xml
===================================================================
--- multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/libisoburn.xml
===================================================================
--- multimedia/cdwriteutils/libisoburn.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/cdwriteutils/libisoburn.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/videoutils/mplayer.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -59,5 +59,5 @@
     </note>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/transcode.xml
===================================================================
--- multimedia/videoutils/transcode.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/videoutils/transcode.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -53,5 +53,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/videoutils/vlc.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ multimedia/videoutils/xine-ui.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <note>
Index: networking/mailnews/mailx.xml
===================================================================
--- networking/mailnews/mailx.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ networking/mailnews/mailx.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ packages.ent	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -950,5 +950,5 @@
 <!ENTITY inkscape-version             "&inkscape-minor-version;">
 <!ENTITY pan-version                  "0.133">
-<!ENTITY pavucontrol-version          "4.0">
+<!ENTITY pavucontrol-version          "5.0">
 <!ENTITY pidgin-version               "2.14.6">
 <!ENTITY rox-filer-version            "2.11">
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ postlfs/editors/emacs.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -125,5 +125,5 @@
 
 <screen><userinput>sed -e '/SIGSTKSZ/ s|^.*$|static max_align_t sigsegv_stack[\
-   (64 * 1024 + sizeof (max_align_t) - 1) / sizeof (max_align_t)];' \
+   (64 * 1024 + sizeof (max_align_t) - 1) / sizeof (max_align_t)];|' \
     -i src/sysdep.c</userinput></screen>
 
Index: postlfs/security/ssh-askpass.xml
===================================================================
--- postlfs/security/ssh-askpass.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ postlfs/security/ssh-askpass.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -39,5 +39,5 @@
     <application>OpenSSH</application> tarball.</para>
 
-  &lfs101_checked;
+  &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -105,9 +105,7 @@
     </para>
 
-<screen role="root"><userinput>install -v -d -m755 /usr/libexec/openssh/contrib  &amp;&amp;
-install -v -m755    gnome-ssh-askpass2 \
-                    /usr/libexec/openssh/contrib  &amp;&amp;
-ln -sv -f contrib/gnome-ssh-askpass2 \
-                    /usr/libexec/openssh/ssh-askpass</userinput></screen>
+<screen role="root"><userinput>install -v -d -m755                    /usr/libexec/openssh/contrib  &amp;&amp;
+install -v -m755    gnome-ssh-askpass2 /usr/libexec/openssh/contrib  &amp;&amp;
+ln -sv -f contrib/gnome-ssh-askpass2   /usr/libexec/openssh/ssh-askpass</userinput></screen>
 
     <para>
Index: postlfs/security/tripwire.xml
===================================================================
--- postlfs/security/tripwire.xml	(revision 1ba50fed2bfb5ff35a8d8ca2630c712e76fe6d61)
+++ postlfs/security/tripwire.xml	(revision 8394f7d187b8b30057870a3fd6a6380da565305a)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs101_checked;
+    &lfs110_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -109,5 +109,5 @@
 
 ./configure --prefix=/usr --sysconfdir=/etc/tripwire       &amp;&amp;
-make</userinput></screen>
+make CPPFLAGS=-std=c++11</userinput></screen>
 
     <note>
@@ -172,4 +172,10 @@
       <command>autoreconf -fi</command>: The build system is unusable as is, and
       has to be modified for the build to succeed.
+    </para>
+
+    <para>
+      <option>CPPFLAGS=-std=c++11</option>: Setting the C++ preprocessor
+      flags to version 11 is necessary to prevent a confict with the 
+      default version which is c++17 in recent version of gcc.
     </para>
 