Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 179c558bd6feec90ab21cdca7e746fc875403894)
+++ gnome/gnome.ent	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -21,4 +21,6 @@
 <!ENTITY % gnome-mime-data SYSTEM "lib/gnome-mime-data/gnome-mime-data.ent">
 <!ENTITY % gnome-vfs SYSTEM "lib/gnome-vfs/gnome-vfs.ent">
+<!ENTITY % libgnome SYSTEM "lib/gnomelib/libgnome.ent">
+<!ENTITY % libgnomecanvas SYSTEM "lib/gnomelib/libgnomecanvas.ent">
 %libglade;
 %intltool;
@@ -39,4 +41,6 @@
 %gnome-mime-data;
 %gnome-vfs;
+%libgnome;
+%libgnomecanvas;
 
 <!-- Gnome Core -->
Index: gnome/lib/gnomelib/libgnome-config.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-config.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnome-config.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Configuring libgnome</title>
+
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnome-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-desc.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnome-desc.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Contents</title>
+
+<para>The libgnome package contains <userinput>libgnome libraries</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libgnome libraries</title>
+<para>libgnome libraries are the non-GUI portion of the GNOME libraries.</para></sect3>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnome-exp.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-exp.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnome-exp.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--with-gconf-source=xml::/etc/gnome/gconf/gconf.xml.defaults
+:</userinput> This variable does not respond to the
+sysconfdir=/etc/gnome instruction and will try to install to the
+<filename>/opt/gnome2/etc</filename> directory.</para>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnome-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-inst.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnome-inst.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of libgnome</title>
+
+<para>Install libgnome by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome --libexecdir=/opt/gnome2/sbin \
+--with-gconf-source=xml::/etc/gnome/gconf/gconf.xml.defaults &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnome-intro.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-intro.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnome-intro.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Introduction to libgnome</title>
+
+<screen>Download location (HTTP):       <ulink url="&libgnome-download-http;"/>
+Download location (FTP):        <ulink url="&libgnome-download-ftp;"/>
+Version used:                   &libgnome-version;
+Package size:                   &libgnome-size;
+Estimated Disk space required:  &libgnome-buildsize;</screen>
+
+<para>The libgnome package contains the libgnome library.</para>
+
+<screen>libgnome depends on:
+<xref linkend="esound"/>, <xref linkend="audiofile"/>, <xref linkend="ORBit2"/>, <xref linkend="GConf"/>, <xref linkend="bonobo-activation"/> and <xref linkend="libxslt"/></screen>
+
+</sect2>
Index: gnome/lib/gnomelib/libgnome.ent
===================================================================
--- gnome/lib/gnomelib/libgnome.ent	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnome.ent	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,11 @@
+<!ENTITY libgnome SYSTEM "../libgnome.xml">
+<!ENTITY libgnome-intro SYSTEM "libgnome-intro.xml">
+<!ENTITY libgnome-inst SYSTEM "libgnome-inst.xml">
+<!ENTITY libgnome-exp SYSTEM "libgnome-exp.xml">
+<!ENTITY libgnome-desc SYSTEM "libgnome-desc.xml">
+<!ENTITY libgnome-config SYSTEM "libgnome-config.xml">
+<!ENTITY libgnome-buildsize "5 MB">
+<!ENTITY libgnome-version "2.0.3">
+<!ENTITY libgnome-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/libgnome/libgnome-2.0.3.tar.gz">
+<!ENTITY libgnome-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/libgnome/libgnome-2.0.3.tar.gz">
+<!ENTITY libgnome-size "584 KB">
Index: gnome/lib/gnomelib/libgnomecanvas-config.xml
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas-config.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnomecanvas-config.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Configuring libgnomecanvas</title>
+
+
+<sect3><title>Configuration Information</title>
+
+&library-config;
+
+</sect3>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnomecanvas-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas-desc.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnomecanvas-desc.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Contents</title>
+
+<para>The libgnomecanvas package contains <userinput>libgnomecanvas
+libraries</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libgnomecanvas libraries</title>
+<para>No description available.</para></sect3>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnomecanvas-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas-inst.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnomecanvas-inst.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of libgnomecanvas</title>
+
+<para>Install libgnomecanvas by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/lib/gnomelib/libgnomecanvas-intro.xml
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas-intro.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnomecanvas-intro.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Introduction to libgnomecanvas</title>
+
+<screen>Download location (HTTP):       <ulink url="&libgnomecanvas-download-http;"/>
+Download location (FTP):        <ulink url="&libgnomecanvas-download-ftp;"/>
+Version used:                   &libgnomecanvas-version;
+Package size:                   &libgnomecanvas-size;
+Estimated Disk space required:  &libgnomecanvas-buildsize;</screen>
+
+<para>The libgnomecanvas package contains libgnomecanvas libraries.</para>
+
+<screen>libgnomecanvas depends on:
+<xref linkend="libglade"/></screen>
+
+</sect2>
Index: gnome/lib/gnomelib/libgnomecanvas.ent
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas.ent	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/gnomelib/libgnomecanvas.ent	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,11 @@
+<!ENTITY libgnomecanvas SYSTEM "../libgnomecanvas.xml">
+<!ENTITY libgnomecanvas-intro SYSTEM "libgnomecanvas-intro.xml">
+<!ENTITY libgnomecanvas-inst SYSTEM "libgnomecanvas-inst.xml">
+<!ENTITY libgnomecanvas-exp SYSTEM "libgnomecanvas-exp.xml">
+<!ENTITY libgnomecanvas-desc SYSTEM "libgnomecanvas-desc.xml">
+<!ENTITY libgnomecanvas-config SYSTEM "libgnomecanvas-config.xml">
+<!ENTITY libgnomecanvas-buildsize "4.4 MB">
+<!ENTITY libgnomecanvas-version "2.0.3">
+<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/libgnomecanvas/libgnomecanvas-2.0.3.tar.gz">
+<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/libgnomecanvas/libgnomecanvas-2.0.3.tar.gz">
+<!ENTITY libgnomecanvas-size "472 KB">
Index: gnome/lib/lib.xml
===================================================================
--- gnome/lib/lib.xml	(revision 179c558bd6feec90ab21cdca7e746fc875403894)
+++ gnome/lib/lib.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -51,4 +51,6 @@
 &gnome-vfs;
 &libglade;
+&libgnome;
+&libgnomecanvas;
 &gdk;
 
Index: gnome/lib/libglade/libglade.ent
===================================================================
--- gnome/lib/libglade/libglade.ent	(revision 179c558bd6feec90ab21cdca7e746fc875403894)
+++ gnome/lib/libglade/libglade.ent	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -7,5 +7,5 @@
 <!ENTITY libglade-buildsize "2.7 MB">
 <!ENTITY libglade-version "2.0.0">
-<!ENTITY libglade-download-http "">
-<!ENTITY libglade-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/releases/final/libglade-2.0.0.tar.gz">
+<!ENTITY libglade-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/libglade/libglade-2.0.1.tar.gz">
+<!ENTITY libglade-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/libglade/libglade-2.0.1.tar.gz">
 <!ENTITY libglade-size "352 KB">
Index: gnome/lib/libgnome.xml
===================================================================
--- gnome/lib/libgnome.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/libgnome.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,12 @@
+<sect1 id="libgnome" xreflabel="libgnome-&libgnome-version;">
+<?dbhtml filename="libgnome.html" dir="gnome"?>
+<title>libgnome-&libgnome-version;</title>
+
+&libgnome-intro;
+&libgnome-inst;
+&libgnome-exp;
+&libgnome-config;
+&libgnome-desc;
+
+</sect1>
+
Index: gnome/lib/libgnomecanvas.xml
===================================================================
--- gnome/lib/libgnomecanvas.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
+++ gnome/lib/libgnomecanvas.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -0,0 +1,11 @@
+<sect1 id="libgnomecanvas" xreflabel="libgnomecanvas-&libgnomecanvas-version;">
+<?dbhtml filename="libgnomecanvas.html" dir="gnome"?>
+<title>libgnomecanvas-&libgnomecanvas-version;</title>
+
+&libgnomecanvas-intro;
+&libgnomecanvas-inst;
+&libgnomecanvas-config;
+&libgnomecanvas-desc;
+
+</sect1>
+
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 179c558bd6feec90ab21cdca7e746fc875403894)
+++ introduction/welcome/changelog.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -10,4 +10,8 @@
 
 <itemizedlist>
+
+<listitem><para>September 1st, 2002 [larry]: Gnome: Added
+libgnome-2.0.3, libgnomecanvas-2.0.3 and updated to
+libglade-2.0.1.</para></listitem>
 
 <listitem><para>September 1st, 2002 [larry]: X: Sawfish will compile
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 179c558bd6feec90ab21cdca7e746fc875403894)
+++ introduction/welcome/credits.xml	(revision 8395a7887835d763b80fcdade0b6a0267c00fb31)
@@ -77,5 +77,5 @@
 cpio, curl, dhcp, DocBook, enlightenment, esound, fcron, fluxbox, FNLIB,
 gcc, gdbm, GLib2, gmp, gnat, gnome-common, gnome-libs, gnome-mime-data,
-gnome-vfs, GTK+2, gtk-doc, imlib, intltool, j2sdk, libao, libart_lgpl, libbonobo, libglade, libIDL, libogg, librep, lame, libvorbis, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
+gnome-vfs, GTK+2, gtk-doc, imlib, intltool, j2sdk, libao, libart_lgpl, libbonobo, libglade, libgnome, libgnomecanvas, libIDL, libogg, librep, lame, libvorbis, libxml2, libxslt, libzvt, linc, mutt, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 
 <listitem><para>CDParanoia, mpg123, SDL and XMMS: <emphasis>Jeroen