Index: general.ent
===================================================================
--- general.ent	(revision 2d7f5f9abba4bfc9303ce74cc4bc2583e5b1848c)
+++ general.ent	(revision 8461a06cdaf18711863c811c94279da4f2bc0868)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "26">                   <!-- Always 2 digits -->
+<!ENTITY day          "27">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 26th, &year;">
+<!ENTITY releasedate  "December 27th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision 2d7f5f9abba4bfc9303ce74cc4bc2583e5b1848c)
+++ general/prog/ruby.xml	(revision 8461a06cdaf18711863c811c94279da4f2bc0868)
@@ -5,13 +5,13 @@
   %general-entities;
 
-  <!ENTITY ruby-download-http "http://cache.ruby-lang.org/pub/ruby/2.1/ruby-&ruby-version;.tar.xz">
+  <!ENTITY ruby-download-http "http://cache.ruby-lang.org/pub/ruby/2.2/ruby-&ruby-version;.tar.xz">
   <!ENTITY ruby-download-ftp  " ">
 <!--
   <!ENTITY ruby-download-ftp  "ftp://ftp.ruby-lang.org/pub/ruby/2.1/ruby-&ruby-version;-p&ruby-patch-version;.tar.bz2">
 -->
-  <!ENTITY ruby-md5sum        "8a30ed4b022a24acbb461976c9c70789">
-  <!ENTITY ruby-size          "9 MB">
-  <!ENTITY ruby-buildsize     "337 MB (additional 550 MB for rdoc indexes and API documents)">
-  <!ENTITY ruby-time          "1.9 SBU (additional 1.4 SBU for rdoc indexes and API documents - additional 0.2 SBU for tests)">
+  <!ENTITY ruby-md5sum        "54b43c6c6c9dd4c4b08ceb03ad0ded7a">
+  <!ENTITY ruby-size          "9.9 MB">
+  <!ENTITY ruby-buildsize     "481 MB">
+  <!ENTITY ruby-time          "2.9 SBU (additional 0.2 SBU for tests)">
 ]>
 
@@ -152,13 +152,11 @@
       <seglistitem>
         <seg>
-          erb, gem, irb, rake, rdoc, ri, ruby, and testrb
+          erb, gem, irb, rake, rdoc, ri, and ruby
         </seg>
         <seg>
-          libruby.so, libruby-static.a, and numerous modules located in the
-          <filename class="directory">/usr/lib/ruby</filename> hierarchy.
+          libruby.so and libruby-static.a
         </seg>
         <seg>
-<!--          /usr/include/ruby-&ruby-version;,-->
-          /usr/include/ruby-2.1.0,
+          /usr/include/ruby-&ruby-version;
           /usr/lib/ruby,
           /usr/share/doc/ruby-&ruby-version; and
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2d7f5f9abba4bfc9303ce74cc4bc2583e5b1848c)
+++ introduction/welcome/changelog.xml	(revision 8461a06cdaf18711863c811c94279da4f2bc0868)
@@ -46,4 +46,21 @@
 
     <listitem>
+      <para>December 27th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to -ruby-2.2.0. Fixes
+          <ulink url="&blfs-ticket-root;5982">#5982</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - wget-1.16.1: include IO::Socket::SSL optional
+          for the test suite.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - haveged-1.9.1: change URL.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 26th, 2014</para>
       <itemizedlist>
Index: networking/netprogs/wget.xml
===================================================================
--- networking/netprogs/wget.xml	(revision 2d7f5f9abba4bfc9303ce74cc4bc2583e5b1848c)
+++ networking/netprogs/wget.xml	(revision 8461a06cdaf18711863c811c94279da4f2bc0868)
@@ -83,6 +83,8 @@
     <para role="optional">
       <xref linkend="libidn"/>,
-      <xref linkend="pcre"/>,
-      <xref linkend="perl-lwp"/> (required for the majority of the test suite),
+      <xref linkend="pcre"/>;
+      <xref linkend="perl-lwp"/> with
+      <ulink url="http://search.cpan.org/~behroozi/IO-Socket-SSL/">IO::Socket::SSL</ulink>
+      (required for the test suite);
       <xref linkend="valgrind"/> (optional for the test suite, but failures are
       introduced),
Index: packages.ent
===================================================================
--- packages.ent	(revision 2d7f5f9abba4bfc9303ce74cc4bc2583e5b1848c)
+++ packages.ent	(revision 8461a06cdaf18711863c811c94279da4f2bc0868)
@@ -269,5 +269,5 @@
 <!ENTITY python2-version              "2.7.9">
 <!ENTITY python3-version              "3.4.2">
-<!ENTITY ruby-version                 "2.1.5">
+<!ENTITY ruby-version                 "2.2.0">
 <!ENTITY ruby-patch-version           "0">
 <!ENTITY scons-version                "2.3.4">
Index: postlfs/security/haveged.xml
===================================================================
--- postlfs/security/haveged.xml	(revision 2d7f5f9abba4bfc9303ce74cc4bc2583e5b1848c)
+++ postlfs/security/haveged.xml	(revision 8461a06cdaf18711863c811c94279da4f2bc0868)
@@ -5,5 +5,6 @@
   %general-entities;
 
-  <!ENTITY haveged-download-http "http://www.issihosts.com/haveged/haveged-&haveged-version;.tar.gz">
+<!--  <!ENTITY haveged-download-http "http://www.issihosts.com/haveged/haveged-&haveged-version;.tar.gz">-->
+  <!ENTITY haveged-download-http "http://downloads.sourceforge.net/project/haveged/haveged-&haveged-version;.tar.gz">
   <!ENTITY haveged-download-ftp  " ">
   <!ENTITY haveged-md5sum        "015ff58cd10607db0e0de60aeca2f5f8">