Index: general/sysutils/udev-extras.xml
===================================================================
--- general/sysutils/udev-extras.xml	(revision 839acaa80cf213e9a9c90cc1f1922620ad8ac5fe)
+++ 	(revision )
@@ -1,207 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY eudev-download-http "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-  <!ENTITY eudev-download-ftp  " ">
-  <!ENTITY eudev-md5sum        "80649a0350ff9620fc2da9562d9f2a6a">
-  <!ENTITY eudev-size          "1.7 MB">
-  <!ENTITY eudev-buildsize     "23 MB">
-  <!ENTITY eudev-time          "0.3 SBU">
-
-  <!ENTITY eudev-svn-download-http "http://dev.gentoo.org/~blueness/eudev">
-]>
-
-<sect1 id="udev-extras" xreflabel="udev-extras (from eudev)">
-  <?dbhtml filename="udev-extras.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Udev Extras (from eudev)</title>
-
-  <indexterm zone="udev-extras">
-    <primary sortas="a-udev-extras">udev extras (from eudev)</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Udev Extras</title>
-
-    <para><application>Eudev</application> was indeed installed in LFS and
-    there is no reason to reinstall it unless the user is going to install a
-    package such as <application>UPower</application> that needs libdudev.
-    These instructions enable building libgudev and also optionally create gir
-    data for <application>Eudev</application>.  </para>
-
-    <para>Unlike other packages in BLFS, there is no set version of
-    <application>Eudev</application> in this page's title and no set version
-    specified for download. Version updates to <application>Eudev</application>
-    makes it possible that the user's system may have an
-    <application>Eudev</application> version different from the one in the
-    current LFS book. Therefore, users should use the version of
-    <application>Eudev</application> their computer currently uses. With few
-    exceptions, the BLFS team has no experience updating (or reverting to an
-    older version) the <application>Eudev</application> package <quote>on the
-    fly</quote>.</para>
-
-    <!-- &lfs75_checked; -->
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <caution>
-      <para>
-         If you are using a version of BLFS different from your currently
-         installed base LFS system, you should use the Eudev source from your
-         LFS build.  Newer versions of Eudev may occasionally be incompatible
-         with former ones, either because they require some new options to be
-         enabled in the kernel or because they change the way rules are parsed.
-         For in-system updates to Eudev, you may want to consult <ulink
-         url="http:wiki.gentoo.org/wiki/Udev/upgrade">the Gentoo page</ulink>
-         about upgrading Udev. 
-      </para>
-    </caution>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&eudev-svn-download-http;"/></para>
-      </listitem>
-<!--      <listitem>
-        <para>Download (HTTP): <ulink url="&eudev-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&eudev-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &eudev-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &eudev-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &eudev-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &eudev-time;</para>
-      </listitem>-->
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Udev Extras Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="glib2"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional Dependencies</bridgehead>
-    <para role="optional">
-      <xref linkend="gobject-introspection"/> (for gir-data, needed for Gnome),
-      <xref linkend="docbook-xsl"/> and <xref linkend="libxslt"/> (to build
-      man pages, which are not shipped with the package), and
-      <xref linkend="gtk-doc"/> (to rebuild the documentation)
-    </para>
-
-    <bridgehead renderas="sect4">Optional Runtime Dependencies</bridgehead>
-    <para role="optional">
-      <xref linkend="pciutils"/> and
-      <xref linkend="usbutils"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/udev-extras"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Udev Extras</title>
-
-    <para>First, re-build eudev:</para>
-
-<screen><userinput>sed    -i '/struct ucred/i struct ucred;' src/libudev/util.h &amp;&amp;
-sed -r -i 's|/usr(/bin/test)|\1|'         test/udev-test.pl  &amp;&amp;
-
-./configure --prefix=/usr           \
-            --bindir=/sbin          \
-            --sbindir=/sbin         \
-            --libdir=/usr/lib       \
-            --sysconfdir=/etc       \
-            --libexecdir=/lib       \
-            --with-rootprefix=      \
-            --with-rootlibdir=/lib  \
-            --enable-split-usr      \
-            --enable-libkmod        \
-            --enable-rule_generator \
-            --enable-keymap         \
-            --disable-introspection \
-            --disable-gtk-doc-html  \
-            --with-firmware-path=/lib/firmware &amp;&amp;
-
-make</userinput></screen>
-
-   <para>To test the results, issue: <command>make check</command>.</para>
-
-   <para>Now re-install as the <systemitem class="username">root</systemitem> 
-   user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>--disable-introspection</parameter>: This prevents the
-      gir-data instructions from running.  Remove this option if the optional
-      <xref linkend="gobject-introspection"/> package is installed.
-    </para>
-
-    <para>
-      <parameter>--disable-gtk-doc-html</parameter>: This prevents the
-      building of the html data.  Remove this option if the optional
-      <xref linkend="gtk-doc"/> package is installed.
-    </para>
-
-  </sect2> 
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>None</seg>
-
-        <seg>libgudev-1.0.so</seg>
-
-        <seg>/usr/include/gudev-1.0/gudev,
-             /usr/lib/girepository-1.0,
-             /usr/share/gir-1.0, and
-             /usr/share/gtk-doc/html/gudev (optional)</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libgudev-1.0-systemd">
-        <term><filename class='libraryfile'>libgudev-1.0.so</filename></term>
-        <listitem>
-          <para>is a GObject-based wrapper library for libudev.</para>
-          <indexterm zone="udev-extras libgudev-1.0-systemd">
-            <primary sortas="c-libgudev-1.0-systemd">libgudev-1.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>