Index: multimedia/cdwriteutils/cdrtools/cdrtools-exp.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools/cdrtools-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ multimedia/cdwriteutils/cdrtools/cdrtools-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,9 +2,9 @@
 <title>Command explanations</title>
 
-<para><command>INS_BASE=/usr</command> : This command moves the
+<para><parameter>INS_BASE=/usr</parameter>: This command moves the
 install directory from <filename class="directory">/opt/schily
 </filename> to <filename class="directory">/usr</filename>.</para>
 
-<para><command>DEFINSUSR=root DEFINSGRP=root</command> : These
+<para><parameter>DEFINSUSR=root DEFINSGRP=root</parameter>: These
 commands install all programs with root.root ownership instead of the default
 bin:bin.</para>
Index: multimedia/cdwriteutils/cdwriteutils.xml
===================================================================
--- multimedia/cdwriteutils/cdwriteutils.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ multimedia/cdwriteutils/cdwriteutils.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -3,9 +3,10 @@
 <title>CD-Writing utilities</title>
 
-<para>This chapter contains information on CD-writing in Linux.  You
-will first have to configure your kernel for cd-writing.  We start by
+<para>This chapter contains information on <acronym>CD</acronym>-writing in 
+Linux.  You will first have to configure your kernel for
+<acronym>CD</acronym>-writing.  We start by
 discussing how to do this, then discuss installing the actual utilities.</para>
 
-<para>Additional sources of information on CD-writing include:</para>
+<para>Additional sources of information on <acronym>CD</acronym>-writing include:</para>
 
 <itemizedlist>
Index: multimedia/cdwriteutils/kernel.xml
===================================================================
--- multimedia/cdwriteutils/kernel.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ multimedia/cdwriteutils/kernel.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -4,7 +4,7 @@
 
 <para>In the kernel configuration, check your settings with those listed
-below for your CD-ROM interface type:</para>
+below for your <acronym>CD</acronym>-<acronym>ROM</acronym> interface type:</para>
 
-<para>SCSI CD-writer:</para>
+<para><acronym>SCSI</acronym> <acronym>CD</acronym>-writer:</para>
 <screen>SCSI support menu
   SCSI support:           Y or M
@@ -16,5 +16,5 @@
 
 
-<para>IDE CD-writer:</para>
+<para><acronym>IDE</acronym> <acronym>CD</acronym>-writer:</para>
 <screen>ATA/IDE/MFM/RLL support menu
   IDE/ATAPI CDROM support:     N
@@ -30,8 +30,8 @@
 
 <para>If necessary, recompile the kernel with
-<screen>make dep &amp;&amp;
-make bzImage&amp;&amp;
-make modules &amp;&amp;
-make modules_install</screen>
+<screen>make CC=/opt/gcc-2.95.3/bin/gcc dep &amp;&amp;
+make CC=/opt/gcc-2.95.3/bin/gcc bzImage &amp;&amp;
+make CC=/opt/gcc-2.95.3/bin/gcc modules &amp;&amp;
+make CC=/opt/gcc-2.95.3/bin/gcc modules_install</screen>
 </para>
 <para>
Index: multimedia/cdwriteutils/udftools/udftools-kernel-inst.xml
===================================================================
--- multimedia/cdwriteutils/udftools/udftools-kernel-inst.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ multimedia/cdwriteutils/udftools/udftools-kernel-inst.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -17,8 +17,8 @@
 
 <para>If necessary, recompile the kernel with
-<screen><userinput><command>make dep &amp;&amp;
-make bzImage&amp;&amp;
-make modules &amp;&amp;
-make modules_install</command></userinput></screen>
+<screen><userinput><command>make CC=/opt/gcc-2.95.3/bin/gcc dep &amp;&amp;
+make CC=/opt/gcc-2.95.3/bin/gcc bzImage &amp;&amp;
+make CC=/opt/gcc-2.95.3/bin/gcc modules &amp;&amp;
+make CC=/opt/gcc-2.95.3/bin/gcc modules_install</command></userinput></screen>
 </para>
 <para>
@@ -35,5 +35,6 @@
 
 <para>Finally, create the packet driver device nodes in <filename
-class="directory">/dev</filename>, add one node for every CD-RW drive you
+class="directory">/dev</filename>, add one node for every
+<acronym>CD</acronym>-<acronym>RW</acronym> drive you
 want to support:</para>
 <screen><userinput><command>mknod /dev/pktcdvd0 b97 0
Index: postlfs/config/bootdisk.xml
===================================================================
--- postlfs/config/bootdisk.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/config/bootdisk.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -149,5 +149,5 @@
 
 <para><parameter>bs=1k count=4096</parameter>: These parameters tell
-<filename>dd</filename> to read and write in "chunks" of 1024 bytes and
+<command>dd</command> to read and write in "chunks" of 1024 bytes and
 process 4096 "chunks".</para>
 
@@ -157,5 +157,5 @@
 the version of <command>mount</command> (older ones don't have the
 <userinput>-o loop</userinput> option) or if <filename>/etc/mtab</filename>
-is symlinked to <filename>/proc</filename> (which causes mount to be
+is symlinked to <filename class="directory">/proc</filename> (which causes mount to be
 unable to properly "unbind" a loop device, due to "lost" information).
 An alternate set of commands is provided, after these three commands,
@@ -186,5 +186,5 @@
 <option>-o loop</option> option <emphasis>and</emphasis> your
 <filename>/etc/mtab</filename> is a real file, rather than a symlink to
-<filename>/proc</filename>, the three above commands can be replaced
+<filename class="directory">/proc</filename>, the three above commands can be replaced
 by these next two commands.</para>
 
@@ -204,5 +204,5 @@
 command tells <command>mount</command> to bind the named file to a
 loopback device it automatically selects (the first available) and mount
-the device on <filename>/mnt/loop1</filename>.</para>
+the device on <filename class="directory">/mnt/loop1</filename>.</para>
 
 <para><emphasis>Add components to the file system</emphasis></para>
@@ -210,5 +210,5 @@
 <para><emphasis>A cautionary note:</emphasis> if you are not running in a
 <command>chroot</command> environment, be sure that you do not accidently
-omit the <filename>/mnt/loop1</filename> reference in the commands. If
+omit the <filename class="directory">/mnt/loop1</filename> reference in the commands. If
 you do so, you might replace the equivalent components on your host with
 the components that are installed by these procedures.  Even if you are
@@ -258,5 +258,5 @@
 &nbsp;&nbsp;/mnt/loop1/dev</command></userinput></screen>
 
-<para><emphasis>What is needed in the <filename>/etc</filename>
+<para><emphasis>What is needed in the <filename class="directory">/etc</filename>
 directory</emphasis></para>
 
@@ -276,5 +276,5 @@
 diskette to carry these files.</para>
 
-<para>Some might like to copy their <filename>/etc/rc*</filename>
+<para>Some might like to copy their <filename class="directory">/etc/rc*</filename>
 directory into the ramdisk image, but this may have no value, other
 than archival use, in a worst-case recovery scenario.  If you want
@@ -298,5 +298,5 @@
 <command>noauto</command> in the options field so they don't cause an
 attempt to mount a potentially corrupt partition.  Copy it to
-<filename>/tmp</filename>, edit it as desired and then:</para>
+<filename class="directory">/tmp</filename>, edit it as desired and then:</para>
 
 <screen><userinput><command>cp -a /tmp/fstab /mnt/loop1/etc</command></userinput></screen>
@@ -309,10 +309,10 @@
 control to <command>linuxrc</command> (<application><ulink
 url="http://www.busybox.net/downloads/busybox-0.60.4.tar.bz2">busybox
-</ulink></application>).  It wants to run an <filename>/etc/init.d/rcS</filename>
+</ulink></application>).  It wants to run an <filename class="directory">/etc/init.d/rcS</filename>
 script to do any initial setup.</para>
 
 <para>If you use devfsd, you will need to set up the
 <filename>rcS</filename> script to handle the devfsd startup.  Put the
-following commands in <filename>/mnt/loop1/etc/init.d/rcS</filename>.
+following commands in <filename class="directory">/mnt/loop1/etc/init.d/rcS</filename>.
 You may also want to add some of the processes shown in the non-devfs
 version that follows.</para>
@@ -322,5 +322,6 @@
 /sbin/devfsd /dev</userinput></screen>
 
-<para>If you don't use devfsd, but created a static <filename>/dev</filename> 
+<para>If you don't use devfsd, but created a static <filename
+class="directory">/dev</filename> 
 directory using <command>MAKEDEV</command>, or any similar process, the
 <filename>rcS</filename> script will do slightly different things.
@@ -329,5 +330,5 @@
 files, thus saving space on the diskette.</para>
 
-<para>The script made next will mount <filename>/proc</filename>, turn
+<para>The script made next will mount <filename class="directory">/proc</filename>, turn
 on swap (no harm is done if it fails), make the
 <filename>/etc/passwd</filename> and <filename>/etc/group</filename>
@@ -533,5 +534,5 @@
 
 <para>To make a single-floppy rescue, using devfs, use the following
-commands. If you use the static <filename>/dev</filename> setup, use
+commands. If you use the static <filename class="directory">/dev</filename> setup, use
 <filename>/dev/fd0</filename> instead of the /dev/floppy/0.</para>
 
@@ -545,5 +546,5 @@
 the kernel will use when it boots. Because it loads an initrd, it will
 automatically set that as the root device, initially. So, the
-<userinput>0,0</userinput> gives it "no value", telling the kernel to not
+<option>0,0</option> gives it "no value", telling the kernel to not
 mount any other device. Some folks give <filename>/dev/fd0</filename> or
 something similar. But this has effect <emphasis>only</emphasis> when
@@ -588,5 +589,5 @@
 following commands, with the proper numbers inserted. Notice that the
 <command>seek</command> parameter's number must be the size, in blocks,
-of your kernel image. If you use the static <filename>/dev</filename>
+of your kernel image. If you use the static <filename class="directory">/dev</filename>
 setup, use <filename>/dev/fd0</filename> in the commands below, instead
 of <filename>/dev/floppy/0</filename>.</para>
Index: postlfs/config/profile.xml
===================================================================
--- postlfs/config/profile.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/config/profile.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -7,5 +7,5 @@
 help create an environment to run in.  Each file has a specific use and
 may affect login and interactive environments differently.  The files in
-the <filename>/etc</filename> directory generally provide global
+the <filename class="directory">/etc</filename> directory generally provide global
 settings. If an equivalent file exists in your home directory it may
 override the global settings.
@@ -193,5 +193,5 @@
 <para>Here is a base <filename>~/.bashrc</filename>.  Comments in the
 file should explain everything you need.  The comments and
-instructions for using <filename>/etc/skel</filename> for
+instructions for using <filename class="directory">/etc/skel</filename> for
 <filename>.bash_profile</filename> above also apply here. Only the
 target file names are different.</para>
@@ -234,5 +234,5 @@
 <para>
 If you want to use the <filename>dircolors</filename> capability
-then run the following command. The <filename>/etc/skel</filename> setup
+then run the following command. The <filename class="directory">/etc/skel</filename> setup
 steps seen above also can be used here to provide a
 <filename>.dircolors</filename> file when a new user is set up. As
Index: postlfs/config/skel.xml
===================================================================
--- postlfs/config/skel.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/config/skel.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -4,5 +4,5 @@
 
 <para>Together, the <command>/usr/sbin/useradd</command> command and
-<filename>/etc/skel</filename> directory (both are easy to setup and use)
+<filename class="directory">/etc/skel</filename> directory (both are easy to setup and use)
 provide a way to assure new users are added on your <acronym>LFS</acronym> 
 system with the same beginning settings for things like <envar>PATH</envar>, 
@@ -10,5 +10,5 @@
 makes it easier to assure this initial state for each new user.</para>
 
-<para>The <filename>/etc/skel</filename> directory holds copies of various
+<para>The <filename class="directory">/etc/skel</filename> directory holds copies of various
 initialization and other files that may be copied to the new user's home
 directory when the <command>/usr/sbin/useradd</command> program adds the new 
@@ -51,17 +51,17 @@
 <para>For more information see <command>man useradd</command>.</para>
 
-<para><emphasis><filename>/etc/skel</filename></emphasis></para>
+<para><emphasis><filename class="directory">/etc/skel</filename></emphasis></para>
 
-<para>To get started create an <filename>/etc/skel</filename> directory
+<para>To get started create an <filename class="directory">/etc/skel</filename> directory
 and make sure it is writable only by the system administrator, usually
 root. Creating the directory as root is the best way to go.</para>
 
 <para>The mode of any files from this part of the book that you put in
-<filename>/etc/skel</filename> should be writable only by the owner.
+<filename class="directory">/etc/skel</filename> should be writable only by the owner.
 Also, since there is no telling what kind of sensitive information a
 user may eventually place in their copy of these files, you should
 make them unreadable by "group" and "other".</para>
 
-<para>You can also put other files in <filename>/etc/skel</filename> and
+<para>You can also put other files in <filename class="directory">/etc/skel</filename> and
 different permissions may be needed for them.</para>
 
@@ -74,5 +74,5 @@
 
 <para>The files from those sections that you might want to place in
-<filename>/etc/skel</filename> include
+<filename class="directory">/etc/skel</filename> include
 <filename>.inputrc</filename>, <filename>.bash_profile</filename>,
 <filename>.bashrc</filename>, <filename>.bash_logout</filename>,
@@ -83,12 +83,12 @@
 
 <para>You will run a slightly modified set of commands for files which
-are placed in <filename>/etc/skel</filename>. Each section will remind
+are placed in <filename class="directory">/etc/skel</filename>. Each section will remind
 you of this. In brief, the book's commands have been written for files
-<emphasis>not</emphasis> added to <filename>/etc/skel</filename> and
+<emphasis>not</emphasis> added to <filename class="directory">/etc/skel</filename> and
 just send the results to the user's home directory. If the file is going
-to be in <filename>/etc/skel</filename>, change the book's command(s) to
+to be in <filename class="directory">/etc/skel</filename>, change the book's command(s) to
 send output there instead and then just copy the file from
-<filename>/etc/skel</filename> to the appropriate directories, like
-<filename>/etc</filename>, <filename>~</filename> or the home directoriy
+<filename class="directory">/etc/skel</filename> to the appropriate directories, like
+<filename class="directory">/etc</filename>, <filename class="directory">~</filename> or the home directoriy
 of any other user already in the system.</para>
 
@@ -98,5 +98,5 @@
 the <option>-m</option> parameter, which tells
 <command>useradd</command> to create the user's home directory and
-copy files from <filename>/etc/skel</filename> (can be overridden) to
+copy files from <filename class="directory">/etc/skel</filename> (can be overridden) to
 the new user's home directory.  For example:</para>
 
Index: postlfs/editors/vim/vim-exp.xml
===================================================================
--- postlfs/editors/vim/vim-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/editors/vim/vim-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><parameter>--with-features=huge</parameter>: Enables all the additional
+<para><parameter>--with-features=huge</parameter>: This switch enables all the additional
 features available in <application>Vim</application>.</para>
 
Index: postlfs/filesystems/reiser/reiser-exp.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/filesystems/reiser/reiser-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -4,10 +4,10 @@
 <para><parameter>--prefix=/usr</parameter>: This ensures that
 the manual pages are installed in the correct location while still
-installing the programs in <filename>/sbin</filename> as they should
+installing the programs in <filename class="directory">/sbin</filename> as they should
 be.</para>
 
 <para><parameter>--sbindir=/sbin</parameter>: This ensures that the
 <application>ReiserFS</application> 
-utilities are installed in <filename>/sbin</filename> as they should be.</para>
+utilities are installed in <filename class="directory">/sbin</filename> as they should be.</para>
 
 </sect2>
Index: postlfs/security/gnupg/gnupg-exp.xml
===================================================================
--- postlfs/security/gnupg/gnupg-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/security/gnupg/gnupg-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,7 +2,8 @@
 <title>Command explanations</title>
 
-<para><parameter>--libexecdir=/usr/sbin</parameter>: This command
-creates a <filename>gnupg</filename> directory in <filename>/usr/sbin</filename> instead of
-<filename>/usr/libexec</filename>.</para>
+<para><parameter>--libexecdir=/usr/lib</parameter>: This command
+creates a <filename class="directory">gnupg</filename> directory in
+<filename class="directory">/usr/sbin</filename> instead of
+<filename class="directory">/usr/libexec</filename>.</para>
 
 </sect2>
Index: postlfs/security/gnupg/gnupg-inst.xml
===================================================================
--- postlfs/security/gnupg/gnupg-inst.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/security/gnupg/gnupg-inst.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -4,5 +4,5 @@
 <para>Install <application>GnuPG</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr --libexecdir=/usr/sbin &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr --libexecdir=/usr/lib &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
Index: postlfs/security/pam/linux_pam-desc.xml
===================================================================
--- postlfs/security/pam/linux_pam-desc.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/security/pam/linux_pam-desc.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -3,5 +3,6 @@
 
 <para>The <application>Linux-<acronym>PAM</acronym></application> package 
-contains <command>unix-chkpwd</command> and <filename>libpam</filename> 
+contains <command>unix-chkpwd</command> and <filename
+class="libraryfile">libpam</filename> 
 libraries.</para>
 
@@ -14,5 +15,5 @@
 
 <sect3><title>libpam libraries</title>
-<para><filename>libpam</filename> libraries provide the interfaces between 
+<para><filename class="libraryfile">libpam</filename> libraries provide the interfaces between 
 applications and the modules included with <acronym>PAM</acronym>.</para></sect3>
 
Index: postlfs/security/shadow/shadow-config.xml
===================================================================
--- postlfs/security/shadow/shadow-config.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/security/shadow/shadow-config.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -14,5 +14,5 @@
 
 <para>Add the following <application><acronym>PAM</acronym></application> 
-configuration files to <filename>/etc/pam.d</filename> (or add them to
+configuration files to <filename class="directory">/etc/pam.d</filename> (or add them to
 <filename>/etc/pam.conf</filename> with the additional field for the program).
 </para>
Index: postlfs/security/tripwire/tripwire-config.xml
===================================================================
--- postlfs/security/tripwire/tripwire-config.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ postlfs/security/tripwire/tripwire-config.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -3,5 +3,5 @@
 
 <sect3><title>Config files</title>
-<para><filename>/etc/tripwire</filename></para>
+<para><filename class="directory">/etc/tripwire</filename></para>
 </sect3>
 
@@ -10,5 +10,5 @@
 <para><application>Tripwire</application> uses a policy file to determine which 
 files integrity are checked. The default policy file (<filename>twpol.txt
-</filename> found in <filename>/etc/tripwire/</filename>) is for a default 
+</filename> found in <filename class="directory">/etc/tripwire/</filename>) is for a default 
 installation of Redhat 7.0 and is woefully outdated.</para>
 
@@ -23,7 +23,7 @@
 Custom policy file for SuSE 7.2 system</screen>
 
-<para>Download the custom policy file you'd like to try, copy it into <filename>
-/etc/tripwire/</filename>, and use it instead of <filename>twpol.txt
-</filename>. It is, however, recommended that you make your own policy file. 
+<para>Download the custom policy file you'd like to try, copy it into
+<filename class="directory">/etc/tripwire/</filename>, and use it instead of 
+<filename>twpol.txt</filename>. It is, however, recommended that you make your own policy file. 
 Get ideas from the examples above and read <filename>
 /usr/share/doc/tripwire/policyguide.txt</filename>. <filename>twpol.txt
@@ -32,11 +32,11 @@
 changes for uninstallation of software.</para>
 
-<para>After your policy file has been transferred to <filename>/etc/tripwire/
-</filename> you may begin the configuration steps:</para>
+<para>After your policy file has been transferred to <filename
+class="directory">/etc/tripwire/</filename> you may begin the configuration steps:</para>
 
 <screen><userinput><command>twadmin -m P /etc/tripwire/twpol.txt &amp;&amp;
 tripwire -m i</command></userinput></screen>
 
-<para>During configuration tripwire will create two (2) keys: a site key and
+<para>During configuration <application>Tripwire</application> will create two (2) keys: a site key and
  a local key which will be stored in <filename class="directory">/etc/tripwire/
 </filename>.</para>
@@ -56,11 +56,13 @@
 
 <para>Please note that after you run an integrity check, you must check
-the report or email and then modify the tripwire database of the files
-on your system so that tripwire will not continually notify you that
+the report or email and then modify the
+<application>Tripwire</application> database of the files
+on your system so that <application>Tripwire</application> will not continually notify you that
 files you intentionally changed are a security violation. To do this you
 must first <command>ls /var/lib/tripwire/report/</command> and note
 the name of the newest file which starts with <filename>linux-</filename> and 
 ends in <filename>.twr</filename>. This encrypted file was created during the 
-last report creation and is needed to update the tripwire database of your 
+last report creation and is needed to update the
+<application>Tripwire</application> database of your 
 system. Then, type in the following command making the appropriate 
 substitutions for '?':</para>
Index: pst/printing/gs/espgs-exp.xml
===================================================================
--- pst/printing/gs/espgs-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/printing/gs/espgs-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,8 +2,8 @@
 <title>Command explanations</title>
 
-<para><command>--without-gimp-print</command> : This switch disables
+<para><option>--without-gimp-print</option>: This switch disables
 the building of the <application><acronym>GIMP</acronym></application> print driver.</para>
 
-<para><command>--without-ijs</command> : This switch disables the
+<para><option>--without-ijs</option>: This switch disables the
 <acronym>IJS</acronym> driver support.</para>
 
Index: pst/printing/gs/espgs-inst.xml
===================================================================
--- pst/printing/gs/espgs-inst.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/printing/gs/espgs-inst.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -7,5 +7,5 @@
 <screen><userinput><command>tar xzvf ../Omni-0.9.0.tar.gz</command></userinput></screen>
 
-<para>Otherwise you must add <command>--without-omni</command> switch to
+<para>Otherwise you must add <option>--without-omni</option> switch to
 the configure script if you intend to install the shared
 library.</para>
Index: pst/printing/gs/gs-exp.xml
===================================================================
--- pst/printing/gs/gs-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/printing/gs/gs-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,10 +2,10 @@
 <title>Command explanations</title>
 
-<para><parameter>--libexecdir=/usr/lib/gs</parameter>: executable
-libraries of <application>Ghostscript</application> will be installed to
+<para><parameter>--libexecdir=/usr/lib/gs</parameter>: This switch
+installs executable libraries of <application>Ghostscript</application> to
 <filename class="directory">/usr/lib/gs</filename>.</para>
 
-<para><parameter>--sysconfdir=/etc/gs</parameter>: Configuration data
-goes to <filename class="directory">/etc/gs</filename> instead of 
+<para><parameter>--sysconfdir=/etc/gs</parameter>: This switch installs
+configuration data to <filename class="directory">/etc/gs</filename> instead of 
 <filename class="directory">/usr/etc</filename>.</para>
 
Index: pst/printing/lprng/lprng-config.xml
===================================================================
--- pst/printing/lprng/lprng-config.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/printing/lprng/lprng-config.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -9,5 +9,6 @@
 
 <para>There is no generic <filename>printcap</filename> for all
-printers. A sample printcap is loaded into the <filename>etc</filename>
+printers. A sample printcap is loaded into the <filename
+class="directory">etc</filename>
 directory which can be some help.  Information is also available at
 <ulink url="http://www.lprng.org"/> and <ulink
Index: pst/printing/lprng/lprng-exp.xml
===================================================================
--- pst/printing/lprng/lprng-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/printing/lprng/lprng-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -3,5 +3,7 @@
 
 <para><option>--libexecdir=/usr/sbin --sysconfdir=/etc</option>:
-These switches prevent the default use of <filename>/usr/libexec</filename> and <filename>/usr/etc</filename>.</para>
+These switches prevent the default use of 
+<filename class="directory">/usr/libexec</filename> and 
+<filename class="directory">/usr/etc</filename>.</para>
 
 </sect2>
Index: pst/scanning/sane/sane-desc.xml
===================================================================
--- pst/scanning/sane/sane-desc.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/scanning/sane/sane-desc.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -8,9 +8,9 @@
 
 <sect3><title>Frontends:</title>
-<para><command>scanimage</command> : Command line interface for 
+<para><command>scanimage</command>: Command line interface for 
 scanning.</para>
-<para><command>xscanimage</command> : Graphical user interface for
+<para><command>xscanimage</command>: Graphical user interface for
 scanning.</para>
-<para><command>gimp-plugin</command> : xscanimage as
+<para><command>gimp-plugin</command>: xscanimage as
 <application><acronym>GIMP</acronym></application> plugin.</para>
 </sect3>
Index: pst/scanning/sane/sane-exp.xml
===================================================================
--- pst/scanning/sane/sane-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/scanning/sane/sane-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,6 +2,7 @@
 <title>Installation command explanations</title>
 
-<para><command>--prefix=/usr</command> : All software is going to
-be installed in directories relative to<filename>/usr</filename>.</para>
+<para><parameter>--prefix=/usr</parameter>: This switch installs all
+software in directories relative to 
+<filename class="directory">/usr</filename>.</para>
 
 </sect2>
Index: pst/scanning/xsane/xsane-exp.xml
===================================================================
--- pst/scanning/xsane/xsane-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/scanning/xsane/xsane-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -2,6 +2,7 @@
 <title>Installation command explanations</title>
 
-<para><command>--prefix=/usr</command> : All software is going to
-be installed in directories relative to<filename>/usr</filename>.</para>
+<para><parameter>--prefix=/usr</parameter>: This switch installs all
+software in directories relative to 
+<filename class="directory">/usr</filename>.</para>
 
 </sect2>
Index: pst/typesetting/tex/tex-exp.xml
===================================================================
--- pst/typesetting/tex/tex-exp.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/typesetting/tex/tex-exp.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -6,5 +6,5 @@
 Untar the <application>TeX</application> fonts and macro libraries.</para>
 
-<para><command>--with-x=no</command> : Avoid any
+<para><parameter>--with-x=no</parameter>: This switch will avoid any
 <application>XFree86</application> dependencies.
 <application>TeX</application> can be compiled with
@@ -13,8 +13,10 @@
 configure option.</para>
 
-<para><command>--exec-prefix=/usr --bindir=/usr/bin</command> : Insure
-that <application>TeX</application> binaries will be installed in <filename>/usr/bin</filename>.</para>
+<para><parameter>--exec-prefix=/usr --bindir=/usr/bin</parameter>: This
+switch will insure
+that <application>TeX</application> binaries will be installed in 
+<filename class="directory">/usr/bin</filename>.</para>
 
-<para><command>--without-texinfo</command> : A default
+<para><option>--without-texinfo</option>: A default
 <acronym>LFS</acronym> installation already has the
 <application>texinfo</application> package
@@ -23,13 +25,14 @@
 package.</para> 
 
-<para><command>--with-system-ncurses</command> : Specify using the
-already installed <filename>libncurses</filename> library.</para>
+<para><option>--with-system-ncurses</option>: This switch specifies using the
+already installed <filename class="libraryfile">libncurses</filename> library.</para>
 
-<para><command>--with-system-zlib</command> : <acronym>LFS</acronym> Systems starting with version 4.0 have zlib installed as part of the base operating system; we can avoid building it here.</para> 
+<para><option>--with-system-zlib</option>: <acronym>LFS</acronym> Systems starting with version 4.0 have zlib installed as part of the base operating system; we can avoid building it here.</para> 
 
-<para><command>texconfig dvips paper letter</command> : Set the default
-paper size for <application>TeX</application>.</para>
+<para><command>texconfig dvips paper letter</command>: This command sets the 
+default paper size for <application>TeX</application>.</para>
 
-<para><command>texconfig font rw</command> : Specify writable fonts.</para>
+<para><command>texconfig font rw</command>: This command specifies writable 
+fonts.</para>
 
 </sect2>
Index: pst/typesetting/tex/tex-inst.xml
===================================================================
--- pst/typesetting/tex/tex-inst.xml	(revision 2df36e4199b6e8fb5e77f8651abba6ce7abce96c)
+++ pst/typesetting/tex/tex-inst.xml	(revision 8604d92fe917953b5914e27de66769a9eb02c98c)
@@ -3,5 +3,5 @@
 
 <para><application>TeX</application> is installed from the source
-directory (usually <filename>/usr/src</filename>) and untarring
+directory (usually <filename class="directory">/usr/src</filename>) and untarring
 instructions are included below instead of the usual assumption that you
 have already untarred the package. The source directory should contain