Index: gnome.ent
===================================================================
--- gnome.ent	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ gnome.ent	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -47,5 +47,5 @@
 <!ENTITY libpeas-version                   "1.32.0">
 <!ENTITY libwnck-version                   "40.1">
-<!ENTITY evolution-data-server-version     "3.44.3">
+<!ENTITY evolution-data-server-version     "3.44.4">
 <!ENTITY folks-version                     "0.15.5">
 <!ENTITY gfbgraph-version                  "0.2.5">
@@ -86,5 +86,5 @@
 <!ENTITY eog-version                       "42.2">
 <!ENTITY evince-version                    "42.3">
-<!ENTITY evolution-version                 "3.44.3">
+<!ENTITY evolution-version                 "3.44.4">
 <!ENTITY file-roller-version               "3.42.0">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ gnome/applications/evolution.xml	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -9,7 +9,7 @@
   <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-44;/evolution-&evolution-version;.tar.xz">
   <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-44;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "53dd8e27c63dc04689a8667cec0efef6">
+  <!ENTITY evolution-md5sum        "754e8b888024291a6836bdec5bbfc7b1">
   <!ENTITY evolution-size          "13 MB">
-  <!ENTITY evolution-buildsize     "362 MB">
+  <!ENTITY evolution-buildsize     "363 MB">
   <!ENTITY evolution-time          "1.1 SBU (Using parallelism=4)">
 ]>
@@ -179,6 +179,6 @@
     <para>
       <parameter>-DENABLE_CONTACT_MAPS=OFF</parameter>: This switch disables
-      building the Contact Maps plugin. Remove it if you have installed the
-      necessary dependencies and wish to build the Contact Maps plugin.
+      building the Contact Maps plugin. Remove this switch if you have installed
+      the necessary dependencies and wish to build the Contact Maps plugin.
     </para>
 
@@ -187,6 +187,6 @@
       building without
       <ulink url="https://github.com/commonmark/cmark">cmark</ulink>.
-      Remove if you need markdown support and you have installed the
-      dependency.
+      Remove this switch if you need markdown support and you have
+      installed the necessary dependency.
     </para>
 
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ gnome/platform/evolution-data-server.xml	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -9,8 +9,8 @@
   <!ENTITY evolution-data-server-download-ftp
            "&gnome-download-ftp;/evolution-data-server/&gnome-minor-44;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "86944a44ef9c5425a934ecf34cd388ba">
+  <!ENTITY evolution-data-server-md5sum        "fe8f0b1b77594589d6897de4b160015e">
   <!ENTITY evolution-data-server-size          "4.6 MB">
-  <!ENTITY evolution-data-server-buildsize     "227 MB (with tests)">
-  <!ENTITY evolution-data-server-time          "2.5 SBU (using parallelism=4, with tests)">
+  <!ENTITY evolution-data-server-buildsize     "231 MB (with tests)">
+  <!ENTITY evolution-data-server-time          "1.0 SBU (using parallelism=4, with tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ introduction/welcome/changelog.xml	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -42,4 +42,27 @@
     </listitem>
     -->
+    <listitem>
+      <para>August 16th, 2022</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to glib-networking-2.72.2. Fixes
+          <ulink url="&blfs-ticket-root;16867">#16867</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libadwaita-1.1.4. Fixes
+          <ulink url="&blfs-ticket-root;16868">#16868</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to evolution and evolution-data-server
+          3.44.4. Fixes
+          <ulink url="&blfs-ticket-root;16869">#16869</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to epiphany-42.4. Fixes
+          <ulink url="&blfs-ticket-root;16870">#16870</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>August 15th, 2022</para>
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ networking/netlibs/glib-networking.xml	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -10,8 +10,8 @@
 <!--  <!ENTITY glib-networking-download-ftp
     "&gnome-download-ftp;/glib-networking/2.66/glib-networking-&glib-networking-version;.tar.xz"> -->
-  <!ENTITY glib-networking-md5sum        "22c8b82e1a9eb879a2f39ca840b80e8b">
+  <!ENTITY glib-networking-md5sum        "e07fcbbb26977ffc36fec371a0d22371">
   <!ENTITY glib-networking-size          "260 KB">
-  <!ENTITY glib-networking-buildsize     "6.9 MB (with tests)">
-  <!ENTITY glib-networking-time          "less than 0.1 SBU (with tests)">
+  <!ENTITY glib-networking-buildsize     "8.0 MB (with tests)">
+  <!ENTITY glib-networking-time          "0.1 SBU (with tests)">
 ]>
 
@@ -162,5 +162,7 @@
         </seg>
         <seg>
-          libgiognomeproxy.so and libgiognutls.so (GIO Modules installed in
+          libgioenvironmentproxy.so,
+          libgiognomeproxy.so,
+          and libgiognutls.so (GIO Modules installed in
           <filename class="directory">/usr/lib/gio/modules</filename>)
         </seg>
Index: packages.ent
===================================================================
--- packages.ent	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ packages.ent	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -636,5 +636,5 @@
 <!ENTITY geoclue2-version             "2.6.0">
 <!ENTITY glib-networking-minor        "2.72">
-<!ENTITY glib-networking-version      "&glib-networking-minor;.1">
+<!ENTITY glib-networking-version      "&glib-networking-minor;.2">
 <!ENTITY kdsoap-version               "2.0.0">
 <!ENTITY ldns-version                 "1.8.2">
@@ -782,5 +782,5 @@
 <!ENTITY keybinder3-version           "0.3.2">
 <!ENTITY libadwaita-minor             "1.1">
-<!ENTITY libadwaita-version           "&libadwaita-minor;.3">
+<!ENTITY libadwaita-version           "&libadwaita-minor;.4">
 <!ENTITY libdazzle-version            "3.44.0">
 <!ENTITY libhandy1-version            "1.6.3">
@@ -948,5 +948,5 @@
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "42.3">
+<!ENTITY epiphany-version             "42.4">
 <!-- falcon is now a part of kf5-gear
 
Index: x/lib/libadwaita.xml
===================================================================
--- x/lib/libadwaita.xml	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ x/lib/libadwaita.xml	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -7,5 +7,5 @@
   <!ENTITY libadwaita-download-http "&gnome-download-http;/libadwaita/&libadwaita-minor;/libadwaita-&libadwaita-version;.tar.xz">
   <!ENTITY libadwaita-download-ftp  "&gnome-download-ftp;/libadwaita/&libadwaita-minor;/libadwaita-&libadwaita-version;.tar.xz">
-  <!ENTITY libadwaita-md5sum        "b5c3d0dd2af00d067e9a5123254d954a">
+  <!ENTITY libadwaita-md5sum        "1a0566a2154a930e8fdfddeaa42a61a8">
   <!ENTITY libadwaita-size          "2.6 MB">
   <!ENTITY libadwaita-buildsize     "34 MB (with tests)">
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision df373d273031aa6ae9cb63cb8ea12332b5f4e62d)
+++ xsoft/graphweb/epiphany.xml	(revision 8641f32554810e7ee21404a5f75caa65a563e67d)
@@ -9,8 +9,8 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-42;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "8ba5628ff579642cc53271d26230be54">
+  <!ENTITY epiphany-md5sum        "846b96d427571edeabd6da9d5d7fa17c">
   <!ENTITY epiphany-size          "5.8 MB">
-  <!ENTITY epiphany-buildsize     "102 MB (with tests)">
-  <!ENTITY epiphany-time          "0.3 SBU (with tests; both using parallelism=4)">
+  <!ENTITY epiphany-buildsize     "91 MB (with tests)">
+  <!ENTITY epiphany-time          "0.2 SBU (with tests; both using parallelism=4)">
 ]>
 