Index: lxde/apps/gpicview.xml
===================================================================
--- lxde/apps/gpicview.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/gpicview.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/apps/lxappearance-obconf.xml
===================================================================
--- lxde/apps/lxappearance-obconf.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/lxappearance-obconf.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/apps/lxinput.xml
===================================================================
--- lxde/apps/lxinput.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/lxinput.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/apps/lxrandr.xml
===================================================================
--- lxde/apps/lxrandr.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/lxrandr.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/apps/lxtask.xml
===================================================================
--- lxde/apps/lxtask.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/lxtask.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/apps/lxterminal.xml
===================================================================
--- lxde/apps/lxterminal.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/lxterminal.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/apps/vte2.xml
===================================================================
--- lxde/apps/vte2.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/apps/vte2.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/libfm-extra.xml
===================================================================
--- lxde/desktop/libfm-extra.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/libfm-extra.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/libfm.xml
===================================================================
--- lxde/desktop/libfm.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/libfm.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/libwnck2.xml
===================================================================
--- lxde/desktop/libwnck2.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/libwnck2.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxappearance.xml
===================================================================
--- lxde/desktop/lxappearance.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/lxappearance.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxde-common.xml
===================================================================
--- lxde/desktop/lxde-common.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/lxde-common.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxmenu-data.xml
===================================================================
--- lxde/desktop/lxmenu-data.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/lxmenu-data.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxpanel.xml
===================================================================
--- lxde/desktop/lxpanel.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/lxpanel.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxsession.xml
===================================================================
--- lxde/desktop/lxsession.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/lxsession.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/menu-cache.xml
===================================================================
--- lxde/desktop/menu-cache.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/menu-cache.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/pcmanfm.xml
===================================================================
--- lxde/desktop/pcmanfm.xml	(revision d43c7a124fc67f42d0a2eab129a9dd622daebf46)
+++ lxde/desktop/pcmanfm.xml	(revision 8717fc04886e0598b0b72b06ce4d872e55d53441)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>