Index: gnome/lib/gnome-vfs/gnome-vfs-exp.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-exp.xml	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/gnome-vfs/gnome-vfs-exp.xml	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -6,4 +6,10 @@
 <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
+<para><parameter>--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin
+</parameter>: This switch puts libexec files in
+<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
+<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
+
+
 <para><option>--disable-gtk-doc</option>: This switch will prevent
 the rebuilding of documentation during the <command>make</command> command.</para>
Index: gnome/lib/gnome-vfs/gnome-vfs-inst.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-inst.xml	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/gnome-vfs/gnome-vfs-inst.xml	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -6,4 +6,5 @@
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
     --sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
Index: gnome/lib/gnome-vfs/gnome-vfs.ent
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs.ent	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/gnome-vfs/gnome-vfs.ent	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -4,8 +4,8 @@
 <!ENTITY gnome-vfs-exp SYSTEM "gnome-vfs-exp.xml">
 <!ENTITY gnome-vfs-desc SYSTEM "gnome-vfs-desc.xml">
-<!ENTITY gnome-vfs-version "2.4.2">
-<!ENTITY gnome-vfs-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/2.4/gnome-vfs-&gnome-vfs-version;.tar.bz2">
-<!ENTITY gnome-vfs-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/2.4/gnome-vfs-&gnome-vfs-version;.tar.bz2">
-<!ENTITY gnome-vfs-size "1.0 MB">
-<!ENTITY gnome-vfs-buildsize "39.0 MB">
+<!ENTITY gnome-vfs-version "2.6.0">
+<!ENTITY gnome-vfs-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/2.6/gnome-vfs-&gnome-vfs-version;.tar.bz2">
+<!ENTITY gnome-vfs-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/2.6/gnome-vfs-&gnome-vfs-version;.tar.bz2">
+<!ENTITY gnome-vfs-size "1.4 MB">
+<!ENTITY gnome-vfs-buildsize "64.3 MB">
 <!ENTITY gnome-vfs-time "1.36 SBU">
Index: gnome/lib/libglade/libglade.ent
===================================================================
--- gnome/lib/libglade/libglade.ent	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/libglade/libglade.ent	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -4,8 +4,8 @@
 <!ENTITY libglade-exp SYSTEM "libglade-exp.xml">
 <!ENTITY libglade-desc SYSTEM "libglade-desc.xml">
-<!ENTITY libglade-version "2.0.1">
-<!ENTITY libglade-download-http "http://ftp.gnome.org/pub/GNOME/sources/libglade/2.0/libglade-&libglade-version;.tar.bz2">
-<!ENTITY libglade-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libglade/2.0/libglade-&libglade-version;.tar.bz2">
-<!ENTITY libglade-size "260 KB">
-<!ENTITY libglade-buildsize "6.5 MB">
+<!ENTITY libglade-version "2.3.6">
+<!ENTITY libglade-download-http "http://ftp.gnome.org/pub/GNOME/sources/libglade/2.3/libglade-&libglade-version;.tar.bz2">
+<!ENTITY libglade-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libglade/2.3/libglade-&libglade-version;.tar.bz2">
+<!ENTITY libglade-size "336 KB">
+<!ENTITY libglade-buildsize "7.5 MB">
 <!ENTITY libglade-time "0.16 SBU">
Index: gnome/lib/libgnome/libgnome.ent
===================================================================
--- gnome/lib/libgnome/libgnome.ent	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/libgnome/libgnome.ent	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -4,8 +4,8 @@
 <!ENTITY libgnome-exp SYSTEM "libgnome-exp.xml">
 <!ENTITY libgnome-desc SYSTEM "libgnome-desc.xml">
-<!ENTITY libgnome-version "2.4.0">
-<!ENTITY libgnome-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnome/2.4/libgnome-&libgnome-version;.tar.bz2">
-<!ENTITY libgnome-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnome/2.4/libgnome-&libgnome-version;.tar.bz2">
-<!ENTITY libgnome-size "944 KB">
-<!ENTITY libgnome-buildsize "14.6 MB">
+<!ENTITY libgnome-version "2.6.0">
+<!ENTITY libgnome-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnome/2.6/libgnome-&libgnome-version;.tar.bz2">
+<!ENTITY libgnome-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnome/2.6/libgnome-&libgnome-version;.tar.bz2">
+<!ENTITY libgnome-size "1.0 MB">
+<!ENTITY libgnome-buildsize "15.3 MB">
 <!ENTITY libgnome-time "0.32 SBU">
Index: gnome/lib/libgnomecanvas/libgnomecanvas-intro.xml
===================================================================
--- gnome/lib/libgnomecanvas/libgnomecanvas-intro.xml	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/libgnomecanvas/libgnomecanvas-intro.xml	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -24,5 +24,5 @@
 <para><xref linkend="libglade"/> and <xref linkend="libart_lgpl"/></para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
+<para><xref linkend="gtk-doc"/> and <xref linkend="DocBook"/></para></sect4>
 </sect3>
 
Index: gnome/lib/libgnomecanvas/libgnomecanvas.ent
===================================================================
--- gnome/lib/libgnomecanvas/libgnomecanvas.ent	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ gnome/lib/libgnomecanvas/libgnomecanvas.ent	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -4,8 +4,8 @@
 <!ENTITY libgnomecanvas-exp SYSTEM "libgnomecanvas-exp.xml">
 <!ENTITY libgnomecanvas-desc SYSTEM "libgnomecanvas-desc.xml">
-<!ENTITY libgnomecanvas-version "2.4.0">
-<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.4/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
-<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.4/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
-<!ENTITY libgnomecanvas-size "524 KB">
+<!ENTITY libgnomecanvas-version "2.6.0">
+<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.6/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
+<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.6/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
+<!ENTITY libgnomecanvas-size "504 KB">
 <!ENTITY libgnomecanvas-buildsize "15.4 MB">
 <!ENTITY libgnomecanvas-time "0.36 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9fab89f3aa9339d7bc65b2f46b3982a56aaacbc7)
+++ introduction/welcome/changelog.xml	(revision 8730ca92a634b86945c2abc588086fea9667df6a)
@@ -11,4 +11,8 @@
 
 <itemizedlist>
+
+<listitem><para>April 2nd, 2004 [larry]: Updated to gnome-vfs-2.6.0,
+libgnome-2.6.0, libglade-2.3.6 and
+libgnomecanvas-2.6.0.</para></listitem>
 
 <listitem><para>April 2nd, 2004 [igor]: Updated to Nail-10.7,