Index: general.ent
===================================================================
--- general.ent	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ general.ent	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -1,11 +1,11 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "29">                   <!-- Always 2 digits -->
-<!ENTITY month        "08">                   <!-- Always 2 digits -->
+<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 29th &year;">
+<!ENTITY releasedate  "September 1st &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/graphite2.xml
===================================================================
--- general/graphlib/graphite2.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ general/graphlib/graphite2.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -11,8 +11,8 @@
            "&sourceforge-repo;/silgraphite/graphite2-&graphite2-version;.tgz">
   <!ENTITY graphite2-download-ftp  " ">
-  <!ENTITY graphite2-md5sum        "ca6da3ba3ff914e4974c167a7a63a3ae">
+  <!ENTITY graphite2-md5sum        "0c4b5b0ebd59ff36837029bb60efc5b1">
   <!ENTITY graphite2-size          "8.2 MB">
-  <!ENTITY graphite2-buildsize     "63 MB (with tests)">
-  <!ENTITY graphite2-time          "0.2 SBU (with tests)">
+  <!ENTITY graphite2-buildsize     "69 MB (with docs and tests)">
+  <!ENTITY graphite2-time          "0.3 SBU (with docs and tests)">
 ]>
 
@@ -101,9 +101,14 @@
       <application>harfbuzz</application>).
     </para>
-    <para>To build the documentation, which is reported to be broken, would
-      require all of
+
+    <para>To build the documentation:
       <ulink url="http://www.methods.co.nz/asciidoc/">AsciiDoc</ulink>,
       <xref linkend="doxygen"/> and
       <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>)
+    </para>
+
+    <para>To execute the test suite you will need
+      <ulink url="https://pypi.python.org/pypi/FontTools">FontTools</ulink>
+      (Python 2 module), otherwise, some tests fail.
     </para>
 
@@ -131,5 +136,6 @@
 cd    build &amp;&amp;
 
-cmake -DCMAKE_INSTALL_PREFIX=/usr \
+cmake -G "Unix Makefiles"         \
+      -DCMAKE_INSTALL_PREFIX=/usr \
       -DCMAKE_BUILD_TYPE=Release  \
       -Wno-dev .. &amp;&amp;
@@ -138,6 +144,13 @@
 
     <para>
-      To test the results, issue: <command>make -k test</command>.
-      Some tests fail for unknown reasons.
+      If you wish to build the documentation, issue:
+    </para>
+
+<screen><userinput>make docs</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make test</command>. Some tests fail
+      if <ulink url="https://pypi.python.org/pypi/FontTools">FontTools</ulink>
+      (Python 2 module) is not installed.
     </para>
 
@@ -147,4 +160,24 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      If you built the documentation, install, as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>install -v -d -m755 /usr/share/doc/graphite2-&graphite2-version;/api &amp;&amp;
+cp      -v -r -f    doc/doxygen/{html,latex/refman.pdf} \
+                    /usr/share/doc/graphite2-&graphite2-version;/api &amp;&amp;
+cp      -v -r -f    doc/{GTF,manual}.html \
+                    /usr/share/doc/graphite2-&graphite2-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>-DCMAKE_VERBOSE_MAKEFILE=ON</option>: This switch turns on
+    build verbose mode.</para>
+
   </sect2>
 
@@ -165,6 +198,6 @@
         </seg>
         <seg>
-          /usr/include/graphite2 and
-          /usr/share/graphite2
+          /usr/{include,share}/graphite2 and
+          /usr/share/doc/graphite2-&graphite2-version;
         </seg>
       </seglistitem>
Index: general/graphlib/libtiff.xml
===================================================================
--- general/graphlib/libtiff.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ general/graphlib/libtiff.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -9,5 +9,5 @@
   <!ENTITY libtiff-download-ftp
            "ftp://ftp.remotesensing.org/libtiff/tiff-&libtiff-version;.tar.gz">
-  <!ENTITY libtiff-md5sum        "9aee7107408a128c0c7b24286c0db900">
+  <!ENTITY libtiff-md5sum        "523a76b4a3b24a0287dcfae82580ed2c">
   <!ENTITY libtiff-size          "2.1 MB">
   <!ENTITY libtiff-buildsize     "32 MB (with tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ introduction/welcome/changelog.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -44,4 +44,30 @@
 
 -->
+
+      <listitem>
+        <para>September 1st, 2015</para>
+        <itemizedlist>
+          <listitem>
+            <para>[fernando] - Update to midori_0.5.11. Fixes
+            <ulink url="&blfs-ticket-root;6878">#6878</ulink>.</para>
+          </listitem>
+          <listitem>
+            <para>[fernando] - Update to links-2.11. Fixes
+            <ulink url="&blfs-ticket-root;6877">#6877</ulink>.</para>
+          </listitem>
+          <listitem>
+            <para>[fernando] - Update to tiff-4.0.5. Fixes
+            <ulink url="&blfs-ticket-root;6876">#6876</ulink>.</para>
+          </listitem>
+          <listitem>
+            <para>[fernando] - Update to graphite2-1.3.1. Fixes
+            <ulink url="&blfs-ticket-root;6875">#6875</ulink>.</para>
+          </listitem>
+          <listitem>
+            <para>[fernando] - Update to zsh-5.1. Fixes
+            <ulink url="&blfs-ticket-root;6874">#6874</ulink>.</para>
+          </listitem>
+        </itemizedlist>
+      </listitem>
 
       <listitem>
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ multimedia/libdriv/xine-lib.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -101,5 +101,5 @@
       <xref linkend="doxygen"/> (to create the API documentation),
       <xref linkend="v4l-utils"/>
-      <ulink url="http://www.directfb.org">DirectFB</ulink>,
+      <ulink url="http://pkgs.fedoraproject.org/repo/pkgs/directfb/">DirectFB</ulink>,
       <ulink url="http://www.videolan.org/developers/libbluray.html">libbluray</ulink>,
       <ulink url="http://sam.zoy.org/projects/libcaca/">libcaca</ulink>,
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ multimedia/videoutils/mplayer.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -195,5 +195,5 @@
       <xref linkend="libpng"/>,
       <xref linkend="openjpeg"/>,
-      <ulink url="http://www.directfb.org/">DirectFB</ulink>,
+      <ulink url="http://pkgs.fedoraproject.org/repo/pkgs/directfb/">DirectFB</ulink>,
       <ulink url="http://pkgs.fedoraproject.org/repo/pkgs/libcaca/">libcaca</ulink>, and
       <ulink url="http://www.svgalib.org/">SVGAlib</ulink>
Index: networking/textweb/links.xml
===================================================================
--- networking/textweb/links.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ networking/textweb/links.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -6,9 +6,10 @@
 
   <!ENTITY links-download-http "http://links.twibright.com/download/links-&links-version;.tar.bz2">
-  <!ENTITY links-download-ftp  "&gentoo-ftp-repo;/links-&links-version;.tar.bz2">
-  <!ENTITY links-md5sum        "beb7dc2571533874045bcf5160d2d0a3">
-  <!ENTITY links-size          "5.0 MB">
-  <!ENTITY links-buildsize     "36 MB">
-  <!ENTITY links-time          "0.2 SBU">
+ <!-- <!ENTITY links-download-ftp  "&gentoo-ftp-repo;/links-&links-version;.tar.bz2">-->
+  <!ENTITY links-download-ftp  " ">
+  <!ENTITY links-md5sum        "d122879f2870dfec2fec1a07517c1458">
+  <!ENTITY links-size          "6.2 MB">
+  <!ENTITY links-buildsize     "54 MB (with --enable-graphics)">
+  <!ENTITY links-time          "0.3 SBU (with --enable-graphics)">
 ]>
 
@@ -68,5 +69,5 @@
     <xref linkend="gpm"/> (mouse support to be used with a framebuffer-based console),
     <ulink url="http://www.svgalib.org/">SVGAlib</ulink>,
-    <ulink url="http://www.directfb.org/">DirectFB</ulink>, and
+    <ulink url="http://pkgs.fedoraproject.org/repo/pkgs/directfb/">DirectFB</ulink>, and
     <xref linkend="x-window-system"/></para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ packages.ent	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -63,5 +63,5 @@
 <!ENTITY dash-version                 "0.5.8">
 <!ENTITY tcsh-version                 "6.19.00">
-<!ENTITY zsh-version                  "5.0.8">
+<!ENTITY zsh-version                  "5.1">
 
 <!-- Chapter 8 Virtualization -->
@@ -160,5 +160,5 @@
 <!ENTITY gegl-version                 "0.2.0">
 <!ENTITY giflib-version               "5.1.1">
-<!ENTITY graphite2-version            "1.3.0">
+<!ENTITY graphite2-version            "1.3.1">
 <!ENTITY harfbuzz-version             "1.0.2">
 <!ENTITY ijs-version                  "0.35">
@@ -175,5 +175,5 @@
                                                        svg pixbuf loader. -->
 <!ENTITY libraw-version               "0.17.0">
-<!ENTITY libtiff-version              "4.0.4">
+<!ENTITY libtiff-version              "4.0.5">
 <!ENTITY libwebp-version              "0.4.3">
 <!ENTITY newt-version                 "0.52.18">
@@ -391,5 +391,5 @@
 
 <!-- Chapter 18 -->
-<!ENTITY links-version                "2.10">
+<!ENTITY links-version                "2.11">
 <!ENTITY lynx-version                 "2.8.8rel.2">
 <!ENTITY w3m-version                  "0.5.3">
@@ -560,5 +560,5 @@
 
 <!-- Chapter 37 -->
-<!ENTITY midori-version               "0.5.10">
+<!ENTITY midori-version               "0.5.11">
 <!ENTITY parole-version               "0.8.0">
 <!ENTITY mousepad-version             "0.4.0">
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ postlfs/shells/zsh.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -5,13 +5,13 @@
   %general-entities;
 
-  <!ENTITY zsh-download-http "http://www.zsh.org/pub/zsh-&zsh-version;.tar.bz2">
+  <!ENTITY zsh-download-http "http://www.zsh.org/pub/zsh-&zsh-version;.tar.xz">
   <!ENTITY zsh-download-ftp  " ">
-  <!ENTITY zsh-md5sum        "e6759e8dd7b714d624feffd0a73ba0fe">
-  <!ENTITY zsh-size          "3.2 MB">
-  <!ENTITY zsh-buildsize     "66 MB (includes documentation and tests)">
-  <!ENTITY zsh-time          "1.1 SBU (includes documentation and tests)">
-
-  <!ENTITY zsh-doc-md5sum    "c49d1f0d2e7593c966461e0c1fa70532">
-  <!ENTITY zsh-doc-size      "3.1 MB">
+  <!ENTITY zsh-md5sum        "fbf736a6540873f4fb7bdaf70cafb1f0">
+  <!ENTITY zsh-size          "2.7 MB">
+  <!ENTITY zsh-buildsize     "67 MB (includes documentation and tests)">
+  <!ENTITY zsh-time          "1.2 SBU (includes documentation and tests)">
+
+  <!ENTITY zsh-doc-md5sum    "1cae4809faf084081fb9aa08a3041288">
+  <!ENTITY zsh-doc-size      "3.0 MB">
 ]>
 
@@ -67,5 +67,5 @@
       <listitem>
         <para>Optional Documentation: <ulink
-        url="http://www.zsh.org/pub/zsh-&zsh-version;-doc.tar.bz2"/></para>
+        url="http://www.zsh.org/pub/zsh-&zsh-version;-doc.tar.xz"/></para>
       </listitem>
       <listitem>
@@ -97,5 +97,5 @@
     the following command:</para>
 
-<screen><userinput>tar --strip-components=1 -xvf ../zsh-&zsh-version;-doc.tar.bz2</userinput></screen>
+<screen><userinput>tar --strip-components=1 -xvf ../zsh-&zsh-version;-doc.tar.xz</userinput></screen>
 
 <!--    <note>
@@ -225,5 +225,5 @@
       <para>
         The first time zsh is executed, you will be prompted by messages asking
-        several questions. The answers will be used to create a 
+        several questions. The answers will be used to create a
         <filename>~/.zshrc</filename> file. If you wish to run these questions
         again, run <command>zsh
@@ -291,8 +291,7 @@
       <seglistitem>
         <seg>zsh and zsh-&zsh-version; (hardlinked to each other)</seg>
-        <seg>Numerous plugin helper modules under 
+        <seg>Numerous plugin helper modules under
         /usr/lib/zsh/&zsh-version;/</seg>
-        <seg>/usr/lib/zsh, /usr/share/doc/zsh-&zsh-version; and
-        /usr/share/zsh</seg>
+        <seg>/usr/{lib,share}/zsh and /usr/share/doc/zsh-&zsh-version;</seg>
       </seglistitem>
     </segmentedlist>
Index: x/lib/cairo.xml
===================================================================
--- x/lib/cairo.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ x/lib/cairo.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -108,5 +108,5 @@
       <xref linkend="qt4"/>,
       <xref linkend="valgrind"/>,
-      <ulink url="http://www.directfb.org/">DirectFB</ulink>,
+      <ulink url="http://pkgs.fedoraproject.org/repo/pkgs/directfb/">DirectFB</ulink>,
       <ulink url="https://github.com/rillian/jbig2dec/">jbig2dec</ulink>, and
       <ulink url="http://code.google.com/p/skia/">Skia</ulink>
Index: xfce/apps/midori.xml
===================================================================
--- xfce/apps/midori.xml	(revision 03b05e73e6b3541ba3de10df6317760dfe1a2602)
+++ xfce/apps/midori.xml	(revision 8763a1da487a8acc8c699e40f909b9b3a3300fa7)
@@ -8,8 +8,8 @@
            "http://www.midori-browser.org/downloads/midori_&midori-version;_all_.tar.bz2">
   <!ENTITY midori-download-ftp  " ">
-  <!ENTITY midori-md5sum        "2f250a5015923b6eeca606629e7bf042">
+  <!ENTITY midori-md5sum        "fcc03ef759fce4fe9f2446d9da4a065e">
   <!ENTITY midori-size          "1.4 MB">
-  <!ENTITY midori-buildsize     "87 MB">
-  <!ENTITY midori-time          "0.6 SBU">
+  <!ENTITY midori-buildsize     "91 MB">
+  <!ENTITY midori-time          "0.8 SBU">
 ]>
 
@@ -102,5 +102,5 @@
   <sect2 role="installation">
     <title>Installation of Midori</title>
-
+<!--
     <note>
       <para>
@@ -110,5 +110,5 @@
 tar -xf midori_&midori-version;_all_.tar.bz2 -C midori-&midori-version; &amp;&amp;
 cd midori-&midori-version;</userinput></screen>
-    </note>
+    </note>-->
 
     <para>
@@ -123,4 +123,5 @@
       -DCMAKE_BUILD_TYPE=Release  \
       -DUSE_ZEITGEIST=OFF         \
+       DUSE_GTK3=1                \
       -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/midori-&midori-version; \
       ..  &amp;&amp;
@@ -146,14 +147,12 @@
     <para>
       <parameter>-DUSE_ZEITGEIST=OFF</parameter>: Remove this switch if
-      <xref linkend="libzeitgeist"/> is installed. 
-    </para>
-
-    <para>
-      <option>-DUSE_GTK3=1</option>: Use this switch if you want to build
-      <application>Midori</application> with
-      <application>WebKitGTK+</application> built against <application>GTK+
-      3</application>, because by default it chooses
-      <application>WebKitGTK+</application> built against <application>GTK+
-      2</application>.
+      <xref linkend="libzeitgeist"/> is installed.
+    </para>
+
+    <para>
+      <parameter>-DUSE_GTK3=1</parameter>: Use this switch chooses
+      <application>WebKitGTK+</application> built against
+      <application>GTK+ 3</application>, for <application>WebKit2</application>
+      layer support.
     </para>
 
@@ -161,5 +160,5 @@
       <option>-DUSE_APIDOCS=1</option>: Use this switch if
       <application>GTK-Doc</application> is installed and you
-      wish to build and install the API documentation. 
+      wish to build and install the API documentation.
     </para>
 
@@ -182,8 +181,6 @@
         </seg>
         <seg>
-          /etc/xdg/midori,
-          /usr/lib/midori,
-          /usr/share/doc/midori-&midori-version; and
-          /usr/share/midori
+          /{etc/xdg,/usr/{lib,share}}/midori and
+          /usr/share/doc/midori-&midori-version;
         </seg>
       </seglistitem>