Index: general/prog/java.xml
===================================================================
--- general/prog/java.xml	(revision 06a4a821453283be7356d468b0f0163436d90110)
+++ general/prog/java.xml	(revision 8824a1e05b5bb298b7d96a25ce7081a80a4c5b6b)
@@ -7,12 +7,12 @@
   <!ENTITY anduin-download             "http://anduin.linuxfromscratch.org/files/BLFS/OpenJDK-&openjdk-version;">
   <!ENTITY openjdk-download-binary-x86 "&anduin-download;/OpenJDK-&openjdk-version;-i686-bin.tar.xz">
-  <!ENTITY openjdk-bin-md5sum-x86      "233a8d4cb78d5e97d708dcf6fdd2c6e8">
-  <!ENTITY openjdk-bin-size-x86        "173 MB">
-  <!ENTITY openjdk-bin-buildsize-x86   "547 MB">
+  <!ENTITY openjdk-bin-md5sum-x86      "5e426f9a8bc6406722adaabc193b0b2b">
+  <!ENTITY openjdk-bin-size-x86        "162 MB">
+  <!ENTITY openjdk-bin-buildsize-x86   "487 MB">
 
   <!ENTITY openjdk-download-binary-x64 "&anduin-download;/OpenJDK-&openjdk-version;-x86_64-bin.tar.xz">
-  <!ENTITY openjdk-bin-md5sum-x64      "39f8740aecf5ae7c3e9d74419e7f6d25">
-  <!ENTITY openjdk-bin-size-x64        "145 MB">
-  <!ENTITY openjdk-bin-buildsize-x64   "420 MB">
+  <!ENTITY openjdk-bin-md5sum-x64      "476e1266ca2ba89e9f807d781a25546e">
+  <!ENTITY openjdk-bin-size-x64        "142 MB">
+  <!ENTITY openjdk-bin-buildsize-x64   "399 MB">
 ]>
 
Index: general/prog/openjdk.xml
===================================================================
--- general/prog/openjdk.xml	(revision 06a4a821453283be7356d468b0f0163436d90110)
+++ general/prog/openjdk.xml	(revision 8824a1e05b5bb298b7d96a25ce7081a80a4c5b6b)
@@ -8,34 +8,34 @@
   <!ENTITY icedtea-download              "http://icedtea.classpath.org/download/source/icedtea-&icedtea-version;.tar.xz">
 
-  <!ENTITY icedtea-md5sum                "f6b28633b9978fadc724247cfc264ff0">
-  <!ENTITY icedtea-size                  "3.3 MB">
-
-  <!ENTITY corba-download                "&anduin-download;/corba.tar.gz">
-  <!ENTITY corba-md5sum                  "0a8f2235307b68553865ac38192690c7">
-  <!ENTITY corba-size                    "1.4 MB">
-
-  <!ENTITY hotspot-download              "&anduin-download;/hotspot.tar.gz">
-  <!ENTITY hotspot-md5sum                "0381ef3920f1ff5c8ac6c8860974d8cc">
-  <!ENTITY hotspot-size                  "9.3 MB">
-
-  <!ENTITY jaxp-download                 "&anduin-download;/jaxp.tar.gz">
-  <!ENTITY jaxp-md5sum                   "ba7a21a3ef2ce5d0d47c7015e43c5dcf">
-  <!ENTITY jaxp-size                     "3.7 MB">
-
-  <!ENTITY jaxws-download                "&anduin-download;/jaxws.tar.gz">
-  <!ENTITY jaxws-md5sum                  "9ef2ea5b1e87777c75a72e1dca6fab1d">
-  <!ENTITY jaxws-size                    "2.6 MB">
-
-  <!ENTITY jdk-download                  "&anduin-download;/jdk.tar.gz">
-  <!ENTITY jdk-md5sum                    "cea74e96852bf017f73222fa7045daee">
-  <!ENTITY jdk-size                      "38.1 MB">
-
-  <!ENTITY langtools-download            "&anduin-download;/langtools.tar.gz">
-  <!ENTITY langtools-md5sum              "449cec19b80ab70935d02d03e3cbc568">
-  <!ENTITY langtools-size                "2.2 MB">
-
-  <!ENTITY openjdk-download              "&anduin-download;/openjdk.tar.gz">
-  <!ENTITY openjdk-md5sum                "b0295fd54825d3f47d47de81d81a475a">
-  <!ENTITY openjdk-size                  "135 KB">
+  <!ENTITY icedtea-md5sum                "a14305c61f704b33369c433955572362">
+  <!ENTITY icedtea-size                  "1.9 MB">
+
+  <!ENTITY corba-download                "&anduin-download;/corba.tar.bz2">
+  <!ENTITY corba-md5sum                  "bfcdcf4d91e511056fc81a0d771fbdff">
+  <!ENTITY corba-size                    "1.0 MB">
+
+  <!ENTITY hotspot-download              "&anduin-download;/hotspot.tar.bz2">
+  <!ENTITY hotspot-md5sum                "964b7e610177db849dbe0b2483a564a1">
+  <!ENTITY hotspot-size                  "7.4 MB">
+
+  <!ENTITY jaxp-download                 "&anduin-download;/jaxp.tar.bz2">
+  <!ENTITY jaxp-md5sum                   "34ce2eab91aaba3efb500a3b02051cca">
+  <!ENTITY jaxp-size                     "2.6 MB">
+
+  <!ENTITY jaxws-download                "&anduin-download;/jaxws.tar.bz2">
+  <!ENTITY jaxws-md5sum                  "590460868b1c4911d3f57c4f5a80ecc7">
+  <!ENTITY jaxws-size                    "1.9 MB">
+
+  <!ENTITY jdk-download                  "&anduin-download;/jdk.tar.bz2">
+  <!ENTITY jdk-md5sum                    "2f2e28645f2203576d416115d5cdbd85">
+  <!ENTITY jdk-size                      "30.2 MB">
+
+  <!ENTITY langtools-download            "&anduin-download;/langtools.tar.bz2">
+  <!ENTITY langtools-md5sum              "83a383d30ebc7edaa857430ec997091b">
+  <!ENTITY langtools-size                "1.6 MB">
+
+  <!ENTITY openjdk-download              "&anduin-download;/openjdk.tar.bz2">
+  <!ENTITY openjdk-md5sum                "5a32302cc14e7bb113d399bc9a017b23">
+  <!ENTITY openjdk-size                  "122 KB">
 
   <!ENTITY rhino-download                "https://github.com/downloads/mozilla/rhino/rhino1_7R4.zip">
@@ -43,6 +43,6 @@
   <!ENTITY rhino-size                    "6.2 MB">
 
-  <!ENTITY openjdk-buildsize             "8.5-11 GB">
-  <!ENTITY openjdk-time                  "34-37 SBU (an additional 100 SBU for testsuite)">
+  <!ENTITY openjdk-buildsize             "8-10 GB">
+  <!ENTITY openjdk-time                  "30-33 SBU (an additional 90 SBU for testsuite)">
 ]>
 
@@ -214,4 +214,6 @@
     <bridgehead renderas="sect4">Required Patches</bridgehead>
     <itemizedlist spacing='compact'>
+<!-- Removed, since the instructions for generating cacerts have been added
+     below, and the patch does not apply cleanly-->
       <listitem>
         <para><ulink
@@ -230,8 +232,4 @@
         url="&patch-root;/icedtea-&icedtea-version;-fix_tests-1.patch"/></para>
       </listitem>
-<!--      <listitem>
-        <para><ulink
-        url="&patch-root;/icedtea-&icedtea-version;-upstream_fix-1.patch"/></para>
-      </listitem>-->
     </itemizedlist>
 
@@ -280,5 +278,6 @@
       <xref linkend="mercurial"/>,
       <xref linkend="mitkrb"/>,
-      <xref linkend="pulseaudio"/>, and
+<!-- Audio support has beeen moved to icedtea-sound
+      <xref linkend="pulseaudio"/>, --> and
       <xref linkend="xorg-server"/> (for the tests)
     </para>
@@ -316,20 +315,16 @@
     composed of several individual projects of the proprietary
     <application>JDK</application> that have been relicensed under an open
-    source license.  If you have already downoaded all of the individual
+    source license.  If you have already downloaded all of the individual
     components, place them into the source tree with the following commands:</para>
 
-<screen><userinput>cp -v ../corba.tar.gz     . &amp;&amp;
-cp -v ../hotspot.tar.gz   . &amp;&amp;
-cp -v ../jaxp.tar.gz      . &amp;&amp;
-cp -v ../jaxws.tar.gz     . &amp;&amp;
-cp -v ../jdk.tar.gz       . &amp;&amp;
-cp -v ../langtools.tar.gz . &amp;&amp;
-cp -v ../openjdk.tar.gz   .</userinput></screen>
-
-<!-- Remove for 2.4.7:
-    <para>Apply a patch to fix a defect in <command>configure</command>:</para>
-
-<screen><userinput>patch -Np1 -i ../icedtea-&icedtea-version;-upstream_fix-1.patch</userinput></screen>
--->
+<screen><userinput>cp -v ../corba.tar.bz2     . &amp;&amp;
+cp -v ../hotspot.tar.bz2   . &amp;&amp;
+cp -v ../jaxp.tar.bz2      . &amp;&amp;
+cp -v ../jaxws.tar.bz2     . &amp;&amp;
+cp -v ../jdk.tar.bz2       . &amp;&amp;
+cp -v ../langtools.tar.bz2 . &amp;&amp;
+cp -v ../openjdk.tar.bz2   .</userinput></screen>
+
+<!-- Removed: see above-->
     <para>Apply a patch to generate a valid cacerts file using the system CA
     certificates:</para>
@@ -360,5 +355,5 @@
             --enable-nss                                      \
             --disable-system-kerberos                         \
-            --with-parallel-jobs=$(getconf _NPROCESSORS_ONLN) &amp;&amp;
+            --with-parallel-jobs                              &amp;&amp;
 make</userinput></screen>
 
@@ -422,15 +417,19 @@
     if <xref linkend="mitkrb"/> is installed.</para>
 
-    <para><parameter>--with-parallel-jobs=$(getconf _NPROCESSORS_ONLN)</parameter>:
-    This switch sets the compiler to use all your CPUs in parallel and speed
-    up the build.</para>
+    <para><parameter>--with-parallel-jobs</parameter>: Allows to set the number
+    of jobs for <command>make</command> equal to the number of processors plus
+    one. Note that the default is 2 if this otion is not specified. You have to
+    explicitely set <option>--with-parallel-jobs=1</option> to disable
+    parallel jobs. The SBU given above are with parallel jobs
+    disabled.</para>
 
     <para><command>chmod -v 0644 ...sa-jdi.jar</command>: Fix permissions
     in a generated file so all users can access it.</para>
-
-    <para><option>--enable-pulse-java</option>: This switch enables
+<!-- Now part of icedtea-sound
+    <para><option>- -enable-pulse-java</option>: This switch enables
     building of the pulseaudio libraries (needed to provide a complete
     implementation that is reasonably compatible with the proprietary
     JDK). <xref linkend="pulseaudio"/> needs to be installed.</para>
+-->
 
   </sect2>
@@ -745,7 +744,8 @@
   </note>
 
-    <para>First, make a backup of the
-    <filename>/opt/jdk/jre/lib/security/cacerts</filename> file, if there is
-    any. To create a new one, as the
+    <para>If you need to generate a <filename>cacerts</filename> file,
+    and there is already one in
+    <filename class="directory">/opt/jdk/jre/lib/security</filename>, it
+    is better to make a backup. Then, you can create a new one, as the
     <systemitem class="username">root</systemitem> user:</para>
 