Index: general.ent
===================================================================
--- general.ent	(revision bcbca63a75cf6c29b247182ecf6b502fb396ee98)
+++ general.ent	(revision 8825a2a2878b7eb296c1b5fd41cda819c8e27508)
@@ -84,5 +84,5 @@
 <!ENTITY LZO-version                  "1.08">
 <!ENTITY libpcap-version              "0.8.3">
-<!ENTITY libusb-version               "0.1.8">
+<!ENTITY libusb-version               "0.1.10a">
                                      
 <!-- Chapter 9 -->                   
Index: general/genlib/libusb.xml
===================================================================
--- general/genlib/libusb.xml	(revision bcbca63a75cf6c29b247182ecf6b502fb396ee98)
+++ general/genlib/libusb.xml	(revision 8825a2a2878b7eb296c1b5fd41cda819c8e27508)
@@ -7,8 +7,8 @@
 <!ENTITY libusb-download-http "http://prdownloads.sourceforge.net/libusb/libusb-&libusb-version;.tar.gz">
 <!ENTITY libusb-download-ftp " ">
-<!ENTITY libusb-md5sum "75655870fb7bb661e6fbd57cbfe81bb2">
-<!ENTITY libusb-size "314 KB">
-<!ENTITY libusb-buildsize "4.5 MB (includes HTML documentation installation)">
-<!ENTITY libusb-time "0.25 SBU">
+<!ENTITY libusb-md5sum "c6062b29acd2cef414bcc34e0decbdd1">
+<!ENTITY libusb-size "375 KB">
+<!ENTITY libusb-buildsize "7.4 MB (additional 1.3 MB to install documentation)">
+<!ENTITY libusb-time "0.14 SBU (additional 0.08 SBU to build documentation)">
 ]>
 
@@ -47,7 +47,15 @@
 
 <sect3><title><application>libusb</application> dependencies</title>
-<sect4><title>Optional</title>
-<para><xref linkend="openjade"/> and <xref linkend="sgml-dtd-3"/> (both 
-required to build the <acronym>HTML</acronym> documentation)</para>
+<sect4><title>Optional (required to build the <acronym>HTML</acronym> user 
+manual)</title>
+<para><xref linkend="openjade"/> and 
+<ulink url="http://www.docbook.org/sgml/4.2/index.html"> DocBOOK SGML 
+DTD-4.2</ulink></para> 
+</sect4>
+
+<sect4><title>Optional (required to build the <acronym>API</acronym> 
+documentation)</title>
+<para><xref linkend="doxygen"/> and 
+<ulink url="http://www.graphviz.org/">GraphViz</ulink></para>
 </sect4>
 </sect3>
@@ -61,8 +69,11 @@
 commands:</para>
 
-<screen><userinput><command>libtoolize -f &amp;&amp;
-autoreconf -f &amp;&amp;
-./configure --prefix=/usr --disable-build-docs &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr --disable-build-docs &amp;&amp;
 make</command></userinput></screen>
+
+<para>If you wish to build the <acronym>API</acronym> documentation, issue 
+the following command:</para>
+
+<screen><userinput><command>make apidox</command></userinput></screen>
 
 <para>Now, as the root user:</para>
@@ -70,9 +81,15 @@
 <screen><userinput role='root'><command>make install</command></userinput></screen>
 
-<para>If you built the <acronym>HTML</acronym> documentation, install it using 
-the following commands:</para>
+<para>If you built the <acronym>HTML</acronym> user manual, install it using 
+the following commands as the root user:</para>
 
 <screen><userinput role='root'><command>install -v -d -m755 /usr/share/doc/libusb-&libusb-version;/html &amp;&amp;
 install -v -m644 doc/html/* /usr/share/doc/libusb-&libusb-version;/html</command></userinput></screen>
+
+<para>If you built the <acronym>API</acronym> documentation, install it using 
+the following commands as the root user:</para>
+
+<screen><userinput role='root'><command>install -v -d -m755 /usr/share/doc/libusb-&libusb-version;/apidocs &amp;&amp;
+install -v -m644 apidocs/html/* /usr/share/doc/libusb-&libusb-version;/apidocs</command></userinput></screen>
 
 </sect2>
@@ -81,17 +98,9 @@
 <title>Command explanations</title>
 
-<para><command>libtoolize -f</command>: There is a mismatch in the Autotools 
-with <acronym>LFS</acronym>-6.0. This command forces the build to use the 
-system installed <command>libtool</command> tools so that the shared library 
-is created correctly.</para>
-
-<para><command>autoreconf -f</command>: This command recreates some of the 
-Autotools, required by running <command>libtoolize</command>.</para>
-
 <para><option>--disable-build-docs</option>: This switch avoids building the
-documentation. If you wish to build the documentation, you may need to remove 
-the <application>OpenSP</application> catalog definitions from the system 
-<acronym>SGML</acronym> catalogs. Use the following command before building 
-the package to accomplish this:</para>
+<acronym>HTML</acronym> user manual. If you wish to build the user manual, you 
+may need to remove the <application>OpenSP</application> catalog definitions 
+from the system <acronym>SGML</acronym> catalogs. Use the following command 
+before building the package to accomplish this:</para>
 
 <screen><userinput role='root'><command>sed -i.orig \
@@ -133,10 +142,10 @@
 <segmentedlist>
 <segtitle>Installed Program</segtitle>
-<segtitle>Installed Library</segtitle>
+<segtitle>Installed Libraries</segtitle>
 <segtitle>Installed Directory</segtitle>
 
 <seglistitem>
 <seg>usb-config</seg>
-<seg>libusb.[so,a]</seg>
+<seg>libusb.[so,a] and libusbpp.[so,a]</seg>
 <seg>/usr/share/doc/libusb-&libusb-version;</seg>
 </seglistitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision bcbca63a75cf6c29b247182ecf6b502fb396ee98)
+++ introduction/welcome/changelog.xml	(revision 8825a2a2878b7eb296c1b5fd41cda819c8e27508)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>March 30th, 2005 [randy]: Updated to 
+libusb-0.1.10a.</para></listitem>
 
 <listitem><para>March 29th, 2005 [randy]: Updated to DocBook DSSSL 