Index: general.ent
===================================================================
--- general.ent	(revision 67a158e3a95ad491944c98bd23f79304ea48bd2d)
+++ general.ent	(revision 8857a6c58922e1e2f387a25924a097850def150b)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "26">                   <!-- Always 2 digits -->
+<!ENTITY day          "27">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 26th, &year;">
+<!ENTITY releasedate  "September 27th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 67a158e3a95ad491944c98bd23f79304ea48bd2d)
+++ general/prog/perl-modules.xml	(revision 8857a6c58922e1e2f387a25924a097850def150b)
@@ -55,6 +55,6 @@
   <!ENTITY Error-md5sum "0dcd94640f617df02b6d6c1e4e92018c">
 
-  <!ENTITY File-BaseDir-download-http "&perl_authors;/id/K/KI/KIMRYAN/File-BaseDir-&File-BaseDir-version;.tar.gz">
-  <!ENTITY File-BaseDir-md5sum "667a7faa144c0c9a22b4421ed395fe89">
+<!-- <!ENTITY File-BaseDir-download-http "&perl_authors;/id/K/KI/KIMRYAN/File-BaseDir-&File-BaseDir-version;.tar.gz">
+  <!ENTITY File-BaseDir-md5sum "667a7faa144c0c9a22b4421ed395fe89"> -->
 
   <!ENTITY File-Slurper-download-http "&perl_authors;/id/L/LE/LEONT/File-Slurper-&File-Slurper-version;.tar.gz">
@@ -1095,5 +1095,5 @@
 
    <!-- File::BaseDir -->
-    <bridgehead renderas="sect3" id="perl-file-basedir"
+<!--<bridgehead renderas="sect3" id="perl-file-basedir"
     xreflabel="File::BaseDir-&File-BaseDir-version;">
     File::BaseDir-&File-BaseDir-version;</bridgehead>
@@ -1108,8 +1108,8 @@
     One set of tests (03_userdirs.t) may fail if
     <xref linkend="xdg-user-dirs"/> is installed and
-    <envar>XDG_CONFIG_HOME</envar> is set.</para>
+    <envar>XDG_CONFIG_HOME</envar> is set.</para>-->
 
     <!-- File-BaseDir -->
-    &lfs83_checked;
+<!--&lfs83_checked;
 
     <itemizedlist>
@@ -1136,5 +1136,5 @@
         </itemizedlist>
       </listitem>
-    </itemizedlist>
+    </itemizedlist>-->
 
     <!-- File::Slurper -->
@@ -2442,6 +2442,5 @@
     <para>
       Unicode::Collate provides a Unicode collation algorithm.
-      This module uses the 'unsafe' variant of the standard
-      <xref linkend="perl-standard-install"/>.
+      This module uses the standard <xref linkend="perl-standard-install"/>.
     </para>
 
Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 67a158e3a95ad491944c98bd23f79304ea48bd2d)
+++ general/prog/pygobject3.xml	(revision 8857a6c58922e1e2f387a25924a097850def150b)
@@ -6,10 +6,10 @@
 
   <!ENTITY pygobject3-download-http
-           "&gnome-download-http;/pygobject/&gnome-minor-28;/pygobject-&pygobject3-version;.tar.xz">
+           "&gnome-download-http;/pygobject/&gnome-minor-30;/pygobject-&pygobject3-version;.tar.xz">
   <!ENTITY pygobject3-download-ftp
-           "&gnome-download-ftp;/pygobject/&gnome-minor-28;/pygobject-&pygobject3-version;.tar.xz">
-  <!ENTITY pygobject3-md5sum        "3bac63c86bb963aa401f97859464aa90">
-  <!ENTITY pygobject3-size          "984 KB">
-  <!ENTITY pygobject3-buildsize     "23 MB (both modules, with tests)">
+           "&gnome-download-ftp;/pygobject/&gnome-minor-30;/pygobject-&pygobject3-version;.tar.xz">
+  <!ENTITY pygobject3-md5sum        "77ba5f41a00d5c0cc22962a475f8de67">
+  <!ENTITY pygobject3-size          "540 KB">
+  <!ENTITY pygobject3-buildsize     "26 MB (both modules, with tests)">
   <!ENTITY pygobject3-time          "0.3 SBU (both modules, with tests)">
 ]>
@@ -109,10 +109,10 @@
 <screen><userinput>mkdir python2 &amp;&amp;
 pushd python2 &amp;&amp;
-../configure --prefix=/usr --with-python=/usr/bin/python &amp;&amp;
-make &amp;&amp;
+meson --prefix=/usr -Dpython=python2 .. &amp;&amp;
+ninja &amp;&amp;
 popd</userinput></screen>
 
       <para>
-        To test the results, issue: <command>make -C python2 check</command>.
+        To test the results, issue: <command>ninja -C python2 test</command>.
         An already active graphical session with bus address is necessary to
         run the tests.
@@ -127,10 +127,10 @@
 <screen><userinput>mkdir python3 &amp;&amp;
 pushd python3 &amp;&amp;
-../configure --prefix=/usr --with-python=/usr/bin/python3 &amp;&amp;
-make &amp;&amp;
+meson --prefix=/usr -Dpython=python3 &amp;&amp;
+ninja &amp;&amp;
 popd</userinput></screen>
 
       <para>
-        To test the results, issue: <command>make -C python3 check</command>.
+        To test the results, issue: <command>ninja -C python3 test</command>.
         An already active graphical session with bus address is necessary to
         run the tests.
@@ -143,5 +143,5 @@
       </para>
 
-<screen role="root"><userinput>make -C python2 install</userinput></screen>
+<screen role="root"><userinput>ninja -C python2 install</userinput></screen>
 
       <para>
@@ -151,5 +151,5 @@
       </para>
 
-<screen role="root"><userinput>make -C python3 install</userinput></screen>
+<screen role="root"><userinput>ninja -C python3 install</userinput></screen>
 
     </sect3>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 67a158e3a95ad491944c98bd23f79304ea48bd2d)
+++ introduction/welcome/changelog.xml	(revision 8857a6c58922e1e2f387a25924a097850def150b)
@@ -42,4 +42,19 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>September 29th, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to pygobject-3.30.1. Partially fixes
+          <ulink url="&blfs-ticket-root;11090">#11090</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to samba-4.9.1. Fixes
+          <ulink url="&blfs-ticket-root;11144">#11144</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>September 26th, 2018</para>
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision 67a158e3a95ad491944c98bd23f79304ea48bd2d)
+++ networking/netprogs/samba.xml	(revision 8857a6c58922e1e2f387a25924a097850def150b)
@@ -7,8 +7,8 @@
   <!ENTITY samba-download-http "https://www.samba.org/ftp/samba/stable/samba-&samba-version;.tar.gz">
   <!ENTITY samba-download-ftp  " ">
-  <!ENTITY samba-md5sum        "b3dc5d6fbe35dcfdc490a608704d572e">
+  <!ENTITY samba-md5sum        "22f9201d1a7033ada4302b4e82d36516">
   <!ENTITY samba-size          "17 MB">
-  <!ENTITY samba-buildsize     "588 MB (add 373 MB for quicktest)">
-  <!ENTITY samba-time          "4.5 SBU (add 4.1 SBU for quicktest)">
+  <!ENTITY samba-buildsize     "596 MB (add 640 MB for quicktest)">
+  <!ENTITY samba-time          "4.6 SBU (add 4.5 SBU for quicktest)">
 ]>
 
@@ -65,5 +65,7 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
+      <xref linkend="jansson"/>,
       <xref linkend="libtirpc"/>,
+      <xref linkend="lmdb"/>,
       <xref linkend="python2"/>, and
       <xref linkend="rpcsvc-proto"/>
@@ -568,5 +570,5 @@
           mvxattr, ndrdump, net, nmbd, nmblookup, ntlm_auth, oLschema2ldif,
           pdbedit, pidl, profiles, regdiff, regpatch, regshell, regtree,
-          rpcclient, samba, samba_dnsupdate, samba_kcc, samba-regedit,
+          rpcclient, samba, samba_dnsupdate, samba_kcc, samba-gpupdate, samba-regedit,
           samba_spnupdate, samba-tool, samba_upgradedns, sharesec,
           smbcacls, smbclient, smbcontrol, smbcquotas, smbd, smbget,
@@ -940,4 +942,14 @@
       </varlistentry>
 
+      <varlistentry id="samba-gpupdate">
+        <term><command>samba-gpupdate</command></term>
+        <listitem>
+          <para>allows you to edit Microsoft Group Policy Objects (GPOs).</para>
+          <indexterm zone="samba samba-gpupdate">
+            <primary sortas="b-samba-gpupdate">samba-gpupdate</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="samba-regedit">
         <term><command>samba-regedit</command></term>
Index: packages.ent
===================================================================
--- packages.ent	(revision 67a158e3a95ad491944c98bd23f79304ea48bd2d)
+++ packages.ent	(revision 8857a6c58922e1e2f387a25924a097850def150b)
@@ -377,5 +377,5 @@
 <!ENTITY Encode-HanExtra-version      "0.23">
 <!ENTITY Error-version                "0.17026">
-<!ENTITY File-BaseDir-version         "0.08">
+<!--<!ENTITY File-BaseDir-version         "0.08">-->
 <!ENTITY File-Slurper-version         "0.012">
 <!ENTITY File-Which-version           "1.22">
@@ -455,5 +455,5 @@
 <!ENTITY pycrypto-version             "2.6.1">
 <!ENTITY pygobject2-version           "2.28.7">
-<!ENTITY pygobject3-version           "3.28.3">
+<!ENTITY pygobject3-version           "3.30.1">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.25">
@@ -478,5 +478,5 @@
 <!ENTITY rpcbind-version              "1.2.5">
 <!ENTITY rsync-version                "3.1.3">
-<!ENTITY samba-version                "4.8.5">
+<!ENTITY samba-version                "4.9.1">
 <!ENTITY wget-version                 "1.19.5">
 <!ENTITY wireless-tools-version       "29">