Index: gnome.ent
===================================================================
--- gnome.ent	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome.ent	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -43,5 +43,5 @@
 <!ENTITY gnome-menus-version               "3.36.0">
 <!--<!ENTITY gnome-video-effects-version       "0.6.0">-->
-<!ENTITY gnome-online-accounts-version     "3.50.1">
+<!ENTITY gnome-online-accounts-version     "3.50.2">
 <!ENTITY grilo-version                     "0.3.16">
 <!ENTITY libchamplain-version              "0.12.21">
@@ -54,5 +54,5 @@
 <!ENTITY libshumate-version                "1.2.1">
 <!ENTITY libwnck-version                   "43.0">
-<!ENTITY evolution-data-server-version     "3.52.1">
+<!ENTITY evolution-data-server-version     "3.52.2">
 <!--<!ENTITY folks-version                     "0.15.5">-->
 <!--<!ENTITY gfbgraph-version                  "0.2.5">-->
@@ -60,5 +60,5 @@
 <!ENTITY tracker3-miners-version           "3.7.3">
 <!ENTITY gsound-version                    "1.0.3">
-<!ENTITY xdg-desktop-portal-gnome-version  "46.1">
+<!ENTITY xdg-desktop-portal-gnome-version  "46.2">
 
 <!-- Runtime (sysv) and Desktop (systemd) -->
@@ -76,8 +76,8 @@
 <!ENTITY gnome-settings-daemon-version     "46.0">
 <!ENTITY tecla-version                     "46.0">
-<!ENTITY gnome-control-center-version      "46.1">
-<!ENTITY mutter-version                    "46.1">
-<!ENTITY gnome-shell-version               "46.1">
-<!ENTITY gnome-shell-extensions-version    "46.1">
+<!ENTITY gnome-control-center-version      "46.2">
+<!ENTITY mutter-version                    "46.2">
+<!ENTITY gnome-shell-version               "46.2">
+<!ENTITY gnome-shell-extensions-version    "46.2">
 <!ENTITY gnome-session-version             "46.0">
 <!-- GDM Moved to display managers -->
@@ -96,5 +96,5 @@
 <!ENTITY eog-version                       "45.3">
 <!ENTITY evince-version                    "46.3">
-<!ENTITY evolution-version                 "3.52.1">
+<!ENTITY evolution-version                 "3.52.2">
 <!ENTITY file-roller-version               "44.3">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/applications/evolution.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -9,5 +9,5 @@
   <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-52;/evolution-&evolution-version;.tar.xz">
   <!ENTITY evolution-download-ftp  " ">
-  <!ENTITY evolution-md5sum        "6a74512b94ae9ffa51929e1960d88e73">
+  <!ENTITY evolution-md5sum        "6aef419b93a3707be5103a3648c218b2">
   <!ENTITY evolution-size          "13 MB">
   <!ENTITY evolution-buildsize     "380 MB">
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/evolution-data-server.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -8,5 +8,5 @@
            "&gnome-download-http;/evolution-data-server/&gnome-minor-52;/evolution-data-server-&evolution-data-server-version;.tar.xz">
   <!ENTITY evolution-data-server-download-ftp  " ">
-  <!ENTITY evolution-data-server-md5sum        "0cf18350f9097402db202b90855bf5db">
+  <!ENTITY evolution-data-server-md5sum        "35ab9c0ee5bca3ebac74828341308503">
   <!ENTITY evolution-data-server-size          "4.8 MB">
   <!ENTITY evolution-data-server-buildsize     "181 MB (with tests)">
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/gnome-control-center.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -8,8 +8,8 @@
            "&gnome-download-http;/gnome-control-center/&gnome-46;/gnome-control-center-&gnome-control-center-version;.tar.xz">
   <!ENTITY gnome-control-center-download-ftp  " ">
-  <!ENTITY gnome-control-center-md5sum        "58c966c88514d267df4ef9a357e4676e">
-  <!ENTITY gnome-control-center-size          "7.6 MB">
+  <!ENTITY gnome-control-center-md5sum        "1dfed305c69d4ba018924c9de6881d2f">
+  <!ENTITY gnome-control-center-size          "7.7 MB">
   <!ENTITY gnome-control-center-buildsize     "120 MB (with tests)">
-  <!ENTITY gnome-control-center-time          "0.4 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gnome-control-center-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/gnome-online-accounts.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -8,5 +8,5 @@
            "&gnome-download-http;/gnome-online-accounts/&gnome-minor-50;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
   <!ENTITY gnome-online-accounts-download-ftp  " ">
-  <!ENTITY gnome-online-accounts-md5sum        "f28ddf850689a9f3f646e3ae0dbb8b03">
+  <!ENTITY gnome-online-accounts-md5sum        "cadc92d6f5663970e2a670338732e6ae">
   <!ENTITY gnome-online-accounts-size          "396 KB">
   <!ENTITY gnome-online-accounts-buildsize     "14 MB">
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -8,7 +8,7 @@
            "&gnome-download-http;/gnome-shell-extensions/&gnome-46;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
   <!ENTITY gnome-shell-extensions-download-ftp  " ">
-  <!ENTITY gnome-shell-extensions-md5sum        "acb8af32c832fabf613c08e833dd195b">
-  <!ENTITY gnome-shell-extensions-size          "204 KB">
-  <!ENTITY gnome-shell-extensions-buildsize     "3.6 MB">
+  <!ENTITY gnome-shell-extensions-md5sum        "915c2b4fd0c64ec6ef00029ef3edf3bb">
+  <!ENTITY gnome-shell-extensions-size          "220 KB">
+  <!ENTITY gnome-shell-extensions-buildsize     "3.7 MB">
   <!ENTITY gnome-shell-extensions-time          "less than 0.1 SBU">
 ]>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/gnome-shell.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -8,8 +8,8 @@
            "&gnome-download-http;/gnome-shell/&gnome-46;/gnome-shell-&gnome-shell-version;.tar.xz">
   <!ENTITY gnome-shell-download-ftp  " ">
-  <!ENTITY gnome-shell-md5sum        "56c2bf53f35792430ff0acd08ddb4047">
+  <!ENTITY gnome-shell-md5sum        "ebb54596ebd8b65552cb63bb56d3226a">
   <!ENTITY gnome-shell-size          "1.9 MB">
-  <!ENTITY gnome-shell-buildsize     "61 MB (with tests)">
-  <!ENTITY gnome-shell-time          "0.2 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gnome-shell-buildsize     "56 MB (with tests)">
+  <!ENTITY gnome-shell-time          "0.3 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -129,4 +129,5 @@
     <title>Installation of GNOME Shell</title>
 
+<!--
     <para>
       First, fix a regression that appears when using glib-2.80.2 or later:
@@ -135,4 +136,5 @@
 <screen><userinput remap="pre">sed -i 's/gnome.ScreenCast.Stream/gnome.Mutter.Screencast/' \
         js/dbusServices/screencast/screencastService.js</userinput></screen>
+-->
 
     <para>
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/mutter.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -7,5 +7,5 @@
   <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-46;/mutter-&mutter-version;.tar.xz">
   <!ENTITY mutter-download-ftp  " ">
-  <!ENTITY mutter-md5sum        "bc2266ac2c507f88bcd4d86ab93886ad">
+  <!ENTITY mutter-md5sum        "610b76a24ad65ffb6617b2dd74796ebe">
   <!ENTITY mutter-size          "6.4 MB">
   <!ENTITY mutter-buildsize     "83 MB (with tests)">
Index: gnome/platform/xdg-desktop-portal-gnome.xml
===================================================================
--- gnome/platform/xdg-desktop-portal-gnome.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ gnome/platform/xdg-desktop-portal-gnome.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -7,5 +7,5 @@
   <!ENTITY xdg-desktop-portal-gnome-download-http "https://download.gnome.org/sources/xdg-desktop-portal-gnome/&gnome-46;/xdg-desktop-portal-gnome-&xdg-desktop-portal-gnome-version;.tar.xz">
   <!ENTITY xdg-desktop-portal-gnome-download-ftp  " ">
-  <!ENTITY xdg-desktop-portal-gnome-md5sum        "45c68dabea3d53bc57ee79d536b337f5">
+  <!ENTITY xdg-desktop-portal-gnome-md5sum        "a57a52d9488463277445bac40507487e">
   <!ENTITY xdg-desktop-portal-gnome-size          "160 KB">
   <!ENTITY xdg-desktop-portal-gnome-buildsize     "10 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ introduction/welcome/changelog.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -60,4 +60,32 @@
         </listitem>
         <listitem>
+          <para>[renodr] - Update to gdm-46.2. Fixes
+          <ulink url="&blfs-ticket-root;19868">#19868</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-control-center-46.2. Fixes
+          <ulink url="&blfs-ticket-root;19860">#19860</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to xdg-desktop-portal-gnome-46.2. Fixes
+          <ulink url="&blfs-ticket-root;19854">#19854</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to mutter-46.2. Fixes
+          <ulink url="&blfs-ticket-root;19851">#19851</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update gnome-shell and gnome-shell-extensions to 46.2.
+          Fixes <ulink url="&blfs-ticket-root;19849">#19849</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-online-accounts-3.50.2. Fixes
+          <ulink url="&blfs-ticket-root;19848">#19848</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to evolution-data-server and evolution 3.52.2.
+          Fixes <ulink url="&blfs-ticket-root;19842">#19842</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Restore PyYAML. </para>
         </listitem>
@@ -90,5 +118,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Update to mariadb-10.11.8. Fixes
+          <para>[bdubbs] - Update to mariadb-10.11.8 (Security Update). Fixes
           <ulink url="&blfs-ticket-root;19865">#19865</ulink>.</para>
         </listitem>
Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ kde/plasma5/plasma-all.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -242,6 +242,6 @@
           <listitem>
             <para>
-              Two packages, bluedevil-6.0.5 and plasma-workspace, have been 
-              replaced by a 6.0.5.1 versions.
+              Two packages, bluedevil and plasma-workspace, have been replaced
+              by a 6.0.5.1 version.
             </para>
           </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ packages.ent	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -908,5 +908,5 @@
 
 <!-- Chapter 26 -->
-<!ENTITY gdm-version                  "46.0">
+<!ENTITY gdm-version                  "46.2">
 <!ENTITY lightdm-version              "1.32.0">
 <!ENTITY lightdm-gtk-greeter-version  "2.0.9">
Index: x/dm/gdm.xml
===================================================================
--- x/dm/gdm.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ x/dm/gdm.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -7,7 +7,7 @@
   <!ENTITY gdm-download-http "&gnome-download-http;/gdm/&gnome-46;/gdm-&gdm-version;.tar.xz">
   <!ENTITY gdm-download-ftp  " ">
-  <!ENTITY gdm-md5sum        "7c633379109fe5fb23734888649cdab0">
-  <!ENTITY gdm-size          "904 KB">
-  <!ENTITY gdm-buildsize     "44 MB">
+  <!ENTITY gdm-md5sum        "1d92ec4dd0643907fa135056aee18066">
+  <!ENTITY gdm-size          "912 KB">
+  <!ENTITY gdm-buildsize     "37 MB">
   <!ENTITY gdm-time          "0.2 SBU">
 ]>
Index: xsoft/graphweb/falkon.xml
===================================================================
--- xsoft/graphweb/falkon.xml	(revision f53c7acf46f4ce1d6665d163cce783514cb8294a)
+++ xsoft/graphweb/falkon.xml	(revision 8872fa19da24faf0c085926a5e5e99fc62012de5)
@@ -89,9 +89,10 @@
     <note>
       <para>
-        Strictly speaking, only karchive is required to build falkon, but
-        several other packages in <xref linkend="kf6-frameworks"/> can be used
-        if they are present. To build only karchive, download that package from
-        the directory specified in <xref linkend="kf6-frameworks"/> and use the
-        build instructions on that page changing the $KF6_PREFIX to /usr.
+        Strictly speaking, only karchive and ki18n are required to build falkon,
+        but several other packages in <xref linkend="kf6-frameworks"/> can be
+        used if they are present. To build only karchive and ki18n, download
+        those packages from the directory specified in
+        <xref linkend="kf6-frameworks"/> and use the build instructions on that
+        page, changing the $KF6_PREFIX to /usr.
       </para>
     </note>