Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 60db0801c644505fd82ecc2c96905db42516d7d3)
+++ postlfs/security/sudo.xml	(revision 8890b85fba9ee53596bd8cd65975039c09e8fa82)
@@ -5,10 +5,9 @@
   %general-entities;
 
-  <!-- <!ENTITY sudo-download-http "http://www.courtesan.com/sudo/dist/sudo-&sudo-version;.tar.gz"> -->
-  <!ENTITY sudo-download-http "http://anduin.linuxfromscratch.org/sources/BLFS/svn/s/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-download-ftp " ">
-  <!ENTITY sudo-md5sum "b29893c06192df6230dd5f340f3badf5">
-  <!ENTITY sudo-size "576 KB">
-  <!ENTITY sudo-buildsize "3.6 MB">
+  <!ENTITY sudo-download-http "http://www.courtesan.com/sudo/dist/sudo-&sudo-version;.tar.gz">
+  <!ENTITY sudo-download-ftp "ftp://ftp.twaren.net/Unix/Security/Sudo/sudo-1.6.9p12.tar.gz">
+  <!ENTITY sudo-md5sum "a5795c292e5c64dd9f7bcba8c1c712c9">
+  <!ENTITY sudo-size "572 KB">
+  <!ENTITY sudo-buildsize "3.8 MB">
   <!ENTITY sudo-time "less than 0.1 SBU">
 ]>
@@ -59,5 +58,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+<!--    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
       <listitem>
@@ -65,10 +64,20 @@
         url="&patch-root;/sudo-&sudo-version;-envvar_fix-1.patch"/></para>
       </listitem>
-    </itemizedlist>
-<!--
+    </itemizedlist> -->
+
+
     <bridgehead renderas="sect3">Sudo Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
--->
+    <para role="optional"><xref linkend="linux-pam"/>,
+    <ulink url="ftp://ftp.nrl.navy.mil/pub/security/opie">Opie</ulink>,
+    <ulink url="http://www.rsa.com/node.aspx?id=1156">SecurID</ulink>,
+    <ulink url="http://www.fwtk.org/">FWTK</ulink>,
+    an <xref linkend="server-mail"/> (that provides a
+    <command>sendmail</command> command),
+    <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
+    <xref linkend="heimdal"/> or <xref linkend="mitkrb"/>, 
+    <xref linkend="openldap"/>, and
+    <ulink url="http://www.openafs.org/">AFS</ulink></para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -83,8 +92,10 @@
     the following commands:</para>
 
-<screen><userinput>patch -Np1 -i ../sudo-&sudo-version;-envvar_fix-1.patch &amp;&amp;
-./configure --prefix=/usr --libexecdir=/usr/lib \
-    --enable-noargs-shell --with-ignore-dot --with-all-insults \
-    --enable-shell-sets-home &amp;&amp;
+<!-- <screen><userinput>patch -Np1 -i ../sudo-&sudo-version;-envvar_fix-1.patch &amp;&amp;
+-->
+<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib \
+    --with-ignore-dot --with-all-insults \
+    --enable-shell-sets-home --disable-root-sudo \
+    --with-logfac=auth --without-pam --without-sendmail &amp;&amp;
 make</userinput></screen>
 
@@ -99,17 +110,31 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><option>--with-ignore-dot</option>: This switch causes
+    <application>sudo</application> to ignore '.' in the PATH.</para>
+
+    <para><option>--with-all-insults</option>: This switch includes all the
+    <application>sudo</application> insult sets.</para>
+
+    <para><option>--enable-shell-sets-home</option>: This switch sets HOME to
+    the target user in shell mode.</para>
+
+    <para><option>--disable-root-sudo</option>: This switch keeps the
+    <systemitem class="username">root</systemitem> user from running sudo, 
+    preventing users from chaining commands to get a root shell.</para>
+
+    <para><option>--with-logfac=auth</option>: This switch forces use of the 
+    auth facility for logging.</para>
+
+    <para><option>--without-pam</option>: This switch disables the use of 
+    <application>PAM</application> authentication. Omit if you have 
+    <application>PAM</application> installed.</para>
+
+    <para><option>--without-sendmail</option>: This switch disables the use of
+    sendmail.  Remove if you have a sendmail compatible MTA.</para>
 
     <para><option>--enable-noargs-shell</option>: This switch allows
     <application>sudo</application> to run a shell if invoked with no
     arguments.</para>
-
-    <para><option>--with-ignore-dot</option>: This switch causes
-    <application>sudo</application> to ignore '.' in the PATH.</para>
-
-    <para><option>--with-all-insults</option>: This switch includes all the
-    <application>sudo</application> insult sets.</para>
-
-    <para><option>--enable-shell-sets-home</option>: This switch sets HOME to
-    the target user in shell mode.</para>
 
     <note>
@@ -164,4 +189,11 @@
       </note>
 
+      <para>If you've built <application>Sudo</application> with 
+      <application>PAM</application> support, issue the following
+      command as the <systemitem class="username">root</systemitem> user
+      to create the <application>PAM</application> configuration file:</para>
+
+      <screen role="root"><userinput>sed 's@/su@/sudo@g' /etc/pam.d/su &gt; /etc/pam.d/sudo</userinput></screen>
+      
     </sect3>
 